=== ChangeLog discontinued ===

	With the move to git, GTK+ is switching from a ChangeLog file
	to relying on commit messages to provide change history. Please
	see README.commits for guidance on the expected message format.

2009-03-25   Paul Bolle <pebolle@tiscali.nl>

	Bug 562863 - GtkVscrollbar is hardly documented

	* gtk/tmpl/gtkvscrollbar.sgml:
	* gtk/tmpl/gtkhscrollbar.sgml: Minor tweaks.

2009-03-24  Matthias Clasen  <mclasen@redhat.com>

	Bug 576150 – Doc bug for GtkMenuPositionFunc

	* gtk/tmpl/gtkmenu.sgml: Remove a misleading sentence.
	Pointed out by Owen Taylor.

2009-03-23  Claudio Saavedra  <csaavedra@igalia.com>

	* gdk-pixbuf/tmpl/animation.sgml: Fix typos and document the
	GdkPixbufSimpleAnim structure.

2009-03-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.16.0 ===

2009-03-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Rename gtk_style_get_property to
	gtk_style_get_style_property

2009-03-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.5 ===

2009-03-01  Matthias Clasen  <mclasen@redhat.com>

	Bug 573393 – Deprecated functions in gdk-Threads example code snippet

	* gdk/tmpl/threads.sgml: Don't use deprecated GTK+ api.
	Spotted by Andre Klapper

2009-03-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/images/messagedialog.png: Fix this image

	* gtk/images/aboutdialog.png: New image
	* gtk/Makefile.am: Add it here.
	* gtk/visual_index.xml: And here.

2009-02-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_window_get_default_icon_name

2009-02-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.4 ===

2009-02-06  Stefan Kost  <ensonic@users.sf.net>

	* gdk-pixbuf/gdk-pixbuf.sgml:
	* gdk/gdk-docs.sgml:
	* gtk/gtk-docs.sgml:
	* libgail-util/gail-libgail-util-docs.sgml:
	  Add online urls for library.gnome.org. This allows other docs to do
          gtkdoc-rebase --online --html-dir=html
          before publishing docs and have working xrefs.
          Whitespece cleanup for gdk/gdk-docs.sgml.

2009-02-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.3 ===

2009-01-27  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.2 ===

2009-01-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new image menu item api

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.1 ===

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add GtkActivatableIface, too

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new GtkActivatable API

	* gtk/gtk-docs.sgml: Include GtkActivatable section

	* gtk.types: Add gtk_activatable_get_type

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions

2009-01-23  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/properties.sgml: Typo fix

2009-01-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new GtkAction api
 
2009-01-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new scale api

2009-01-19  Matthias Clasen  <mclasen@redhat.com>
	
	* gdk/tmpl/cursors.sgml: Document GDK_BLANK_CURSOR.

2009-01-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new api

2009-01-13  Christian Dywan  <christian@imendio.com>

	Bug 567569 – Typo in GtkFileChooser example in GTK+ documentation

	* gtk/tmpl/gtkfilechooser.sgml: s/gobject_unref/g_object_unref.
        Patch by Priyank Gosalia.

2009-01-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkstock.sgml: Add GTK_STOCK_CAPS_LOCK_WARNING
	* gtk/Makefile.am: And copy the icon

2009-01-04  Matthias Clasen  <mclasen@redhat.com>

	Bug 566045 – GtkViewport is lacking a description

	* gtk/tmpl/gtkviewport.sgml: Add some descriptive text, shamelessly
	copied from gtkscrolledwindow.sgml. Requested by Andrew Cowie.

2009-01-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.15.0 ===

2008-12-31  Matthias Clasen <mclasen@redhat.com>

	* gtk/migrating-GtkEntry-icons.sgml: Add a section about
	signals.

	* gtk/tmpl/gtkentry.sgml: Update to new signal names

2008-12-30  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkorientable.sgml:
	* gtk/tmpl/gtkvscrollbar.sgml:
	* gtk/tmpl/gtkhsv.sgml: Add short/long description.

2008-12-30  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkwidget.sgml:
	* gtk/tmpl/gtkprintoperation.sgml: Additions

	* gtk/tmpl/gtkprintunixdialog.sgml: Document the preview
	capability.

2008-12-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtktreeview.sgml: Document GtkTreeViewGridLines

2008-12-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkprintsettings.sgml: Document NumberUpLayout
	* gtk/images/layout-*.png: n-up page layout images
	* gtk/Makefile.am: Glue

2008-12-29  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkenums.sgml:
	* gtk/tmpl/gtkmain.sgml:
	* gtk/tmpl/gtktypeutils.sgml: Additions

2008-12-28  Matthias Clasen <mclasen@redhat.com>
	
	* gtk/tmpl/gtkprintunixdialog.sgml: Document capabilities	
	* gtk/tmpl/gtkstyle.sgml: Document GtkBorder
	* gtk/tmpl/gtkmenubar.sgml: Document GtkPackDirection
	* gtk/tmpl/gtkenums.sgml: Document GtkArrowPlacement
	* gtk/tmpl/gtkbuilder.sgml: Document GtkBuilderError

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Remove duplicate vscrollbar section.
	Merge accident ?

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtktreesortable.sgml: Small addition

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Move GtkFixedChild, GtkTableChild and
	GtkTableRowCol to Private

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkfontseldlg.sgml: Merge docs inline.

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/building.sgml: It's <envar>, not <envvar>

	* gtk/gtk-sections.txt: Remove duplicates, pick up misc new api

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkscrolledwindow.sgml:
	* gtk/tmpl/gtkscale.sgml: Merge docs inline.

2008-12-28  Matthias Clasen <mclasen@redhat.com>

	* docs/reference/gtk/gtk-sections.txt: Remove overridden INCLUDE

	* gtk/tmpl/gtkfontsel.sgml:
	* gtk/tmpl/gtkeditable.sgml: Merge docs inline.

2008-12-27  Matthias Clasen <mclasen@redhat.com>
	
	* gtk/tmpl/gtkmessagedialog.sgml:
	* gtk/tmpl/gtkmenushell.sgml:
	* gtk/tmpl/gtklinkbutton.sgml: 
	* gtk/tmpl/gtkimage.sgml: Additions

	* gtk/gtk-sections.txt:
	* gtk/gtk-docs.sgml: Add GtkHSV
	* gtk/Makefile.am: Don't ignore gtkhsv.h

2008-12-27  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Remove nonexisting api
	* gtk/migrating-GtkEntry-icons.sgml: Formatting fixes

2008-12-27  Matthias Clasen <mclasen@redhat.com>

	* gtk/Makefile.am: Add migrating-GtkEntry-icons.sgml to
	content_files and expand_content_files.

2008-12-27  Matthias Clasen <mclasen@redhat.com>

	* gtk/migrating-GtkLinkButton.sgml: Mention default hook
	* gtk/migrating-GtkEntry-icons.sgml: Migration chapter 
	SexyIconEntry -> GtkEntry

2008-12-27  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add GtkEntryIconPosition

	* gtk/tmpl/gtkentry.sgml: Add note about a11y concerns.

2008-12-26  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkentry.sgml: Mention new functionality

	* gtk/gtk-sections.txt: Add new api

2008-12-26  Matthias Clasen <mclasen@redhat.com>

	* gtk/migrating-GtkBuilder.xml: Update

2008-12-26  Matthias Clasen <mclasen@redhat.com>

	* gtk/drawing-model.sgml: Turn into a refentry to fit better in 
	the overall formatting.

2008-12-25  Matthias Clasen <mclasen@redhat.com>

	* gdk/gdk-docs.sgml: Add a "Since 2.16" index

2008-12-10  Matthias Clasen <mclasen@redhat.com>

        Bug 563876 – [Regression] GTK_MODULES env var is no longer relevant

        * gtk/running.sgml: Improve GTK_MODULES docs.

2008-12-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcontainer.sgml: Document translatable child
	properties in GtkBuilder

2008-11-29  Baptiste Mille-Mathias <baptiste.millemathias@gmail.com>

	* docs/reference/gtk/images/accel-label.png:
	* docs/reference/gtk/images/assistant.png:
	* docs/reference/gtk/images/button.png:
	* docs/reference/gtk/images/check-button.png:
	* docs/reference/gtk/images/color-button.png:
	* docs/reference/gtk/images/colorsel.png:
	* docs/reference/gtk/images/combo-box-entry.png:
	* docs/reference/gtk/images/combo-box.png:
	* docs/reference/gtk/images/entry.png:
	* docs/reference/gtk/images/file-button.png:
	* docs/reference/gtk/images/filechooser.png:
	* docs/reference/gtk/images/font-button.png:
	* docs/reference/gtk/images/fontsel.png:
	* docs/reference/gtk/images/frame.png:
	* docs/reference/gtk/images/icon-view.png:
	* docs/reference/gtk/images/image.png:
	* docs/reference/gtk/images/label.png
	* docs/reference/gtk/images/link-button.png:
	* docs/reference/gtk/images/list-and-tree.png:
	* docs/reference/gtk/images/menubar.png:
	* docs/reference/gtk/images/messagedialog.png:
	* docs/reference/gtk/images/multiline-text.png:
	* docs/reference/gtk/images/notebook.png:
	* docs/reference/gtk/images/pagesetupdialog.png:
	* docs/reference/gtk/images/panes.png:
	* docs/reference/gtk/images/printdialog.png:
	* docs/reference/gtk/images/progressbar.png:
	* docs/reference/gtk/images/radio-group.png:
	* docs/reference/gtk/images/recentchooserdialog.png:
	* docs/reference/gtk/images/scales.png:
	* docs/reference/gtk/images/scrolledwindow.png:
	* docs/reference/gtk/images/separator.png:
	* docs/reference/gtk/images/spinbutton.png:
	* docs/reference/gtk/images/statusbar.png:
	* docs/reference/gtk/images/toggle-button.png:
	* docs/reference/gtk/images/toolbar.png:
	* docs/reference/gtk/images/volumebutton.png:
	* docs/reference/gtk/images/window.png: 
	update all screenshots to have a consistent look. 
	Closes the bug 523264.

2008-11-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktooltips.sgml:
	* gtk/tmpl/gtkoptionmenu.sgml:
	* gtk/tmpl/gtkcombo.sgml:
	* gtk/tmpl/gtkwindow.sgml:
	* gtk/tmpl/gtkwidget.sgml:
	* gtk/tmpl/gtktogglebutton.sgml:
	* gtk/tmpl/gtkstyle.sgml:
	* gtk/tmpl/gtkspinbutton.sgml:
	* gtk/tmpl/gtkrc.sgml:
	* gtk/tmpl/gtknotebook.sgml:
	* gtk/tmpl/gtklabel.sgml:
	* gtk/tmpl/gtkdrawingarea.sgml:
	* gtk/tmpl/gtkcheckmenuitem.sgml:
	* gtk/tmpl/gtkcalendar.sgml: 
	* gtk/tmpl/gtkbbox.sgml: Improve deprecation annotations.

2008-11-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am:
	* gdk/Makefile.am:
	* gdk-pixbuf/Makefile.am: Use a new gtk-doc feature to generate
	much nicer indices.

	* gtk/drawing-model.xml: Fix document structure

2008-11-25  Christian Dywan  <christian@imendio.com>

	Bug 559009 – gtk_radio_button_get_group documentation needs
        to say whether to free the returned GSList

	* gtk/tmpl/gtkradiobutton.sgml: Clarify radio_button_get_group docs

2008-11-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new statusicon api.

2008-11-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new GtkStyle functions.

2008-10-29  Federico Mena Quintero  <federico@novell.com>

	* gtk/drawing-model.xml: New chapter for "The GTK+ Drawing Model".

	* gtk/Makefile.am (content_files): Add drawing-model.xml.
	(HTML_IMAGES): Add a the images for that new chapter.

	* gtk/tmpl/gtkwidget.sgml: Link to the drawing model docs from the
	descriptions of GTK_APP_PAINTABLE and GTK_DOUBLE_BUFFERED.

	* gtk/glossary.xml: Link to the drawing model docs on no-window
	widgets.

2008-10-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt:
	* gtk/gtk-docs.sgml:
	* gtk/gtk.types: Add GtkOrientable

2008-10-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.types: Add gtk_mount_operation_get_type

2008-10-09  Michael Natterer  <mitch@imendio.com>

	Bug 516425 – Optionally display accelerators in popups

	* gtk/tmpl/gtkuimanager.sgml: document the enhanced XML syntax and
	the new enum value for popups with accelerators.

2008-10-07  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-sections.txt: add gtk_box_new.

2008-10-02  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-sections.txt: add gtk_ruler_new.

2008-09-30  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-sections.txt: add gtk_separator_new.

2008-09-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_im_multi_context_get_context_id.
	
2008-09-29  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_keymap_get_caps_locks_state.

2008-09-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.14.2 ===

2008-09-06  Sven Herzberg  <sven@imendio.com>

	Bug 551063 – deprecated marking without a link to what new code should
	use

	* gdk/tmpl/input.sgml: dropped tmpl documentation for gdk_input_add()
	and gdk_input_add_full()

2008-09-06  Stefan Kost  <ensonic@users.sf.net>

	* gdk-pixbuf/gdk-pixbuf-csource.xml:
	* gdk-pixbuf/gdk-pixbuf-from-drawables.sgml:
	* gdk-pixbuf/gdk-pixbuf-query-loaders.xml:
	* gdk-pixbuf/gdk-pixbuf-rendering.sgml:
	* gdk-pixbuf/gdk-pixbuf.sgml:
	* gdk-pixbuf/porting-from-imlib.sgml:
	* gdk/gdk-docs.sgml:
	* gdk/multihead.sgml:
	* libgail-util/gail-libgail-util-docs.sgml:
	  Use xi:include instead of entities to ease maintenance and speed up
	  documentation build. Fixes #540967

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.14.1 ===

2008-09-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.14.0 ===

2008-09-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtk-sections.txt: Add some missing functions

2008-09-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintunixdialog.sgml: Document n-up-layout capability

2008-08-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_selection_data_get_length

2008-08-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add some forgotten apis.

2008-08-19  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk/gtk-sections.txt: Move gtk_menu_set_monitor next to
	gtk_menu_get_monitor.  Move gtk_menu_set_title next to
	gtk_menu_get_title.

2008-08-18  Matthias Clasen  <mclasen@redhat.com>

	* ==== Released 2.13.7 ===

2008-08-16  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gdk/gdk-sections.txt: Don't mention GdkWindowRedirect in the
	docs; it's opaque and not used in any public API.

2008-08-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/building.sgml: Add a note about shared-mime-info and 
	XDG_DATA_DIRS.

2008-08-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Remove useless getters

2008-08-13  Torsten Schoenfeld  <kaffeetisch@gmx.de>

	* gtk/gtk-sections.txt: Move
	gtk_font_selection_dialog_get_apply_button,
	gtk_font_selection_dialog_get_cancel_button, and
	gtk_font_selection_dialog_get_ok_button to the
	GtkFontSelectionDialog section.

2008-08-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.6 ===

2008-08-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 515596 – GtkUIManager's embedded UI definition example is invalid

	* gtk/tmpl/gtktreeview.sgml:
	* gtk/tmpl/gtkuimanager.sgml: Fix GtkBuilder examples.

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	Bug 540834 – Insensitive widgets cannot be grabbed

	* gtk/tmpl/gtkmain.sgml: Explain that insensitive widgets
	cannot be grabbed. Patch by Björn Lindqvist

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Update

2008-08-02  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/gdkapplaunchcontext.sgml: Add an introduction
	with an example.

2008-07-31  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add new api

2008-07-21  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.5 ===

2008-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add tons of new api

2008-07-19  Matthias Clasen  <mclasen@redhat.com>

	Bug 543590 – documentation glitch in GtkBox description

	* gtk/tmpl/gtkbox.sgml: Improve long description. Pointed
	out by Claudio Saavedra

2008-07-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am:
	* gtk/tmpl/gtkstock.sgml: Add new icon.

	* gtk/gtk-sections.txt: Add new GtkPrinter functions

2008-07-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtklabel.sgml: Fix markup

2008-07-11  Matthias Clasen  <mclasen@redhat.com>

	Bug 537430 – label pango attributes & i18n

	* gtk/tmpl/gtklabel.sgml: Improve docs for Pango attributes in 
	builder xml. Pointed out by Christian Persch

2008-07-10  Stefan Kost  <ensonic@users.sf.net>

        Bug 540967 – docs build slowly because of entities

	* gtk/building.sgml:
	* gtk/changes-1.2.sgml:
	* gtk/changes-2.0.sgml:
	* gtk/compiling.sgml:
	* gtk/directfb.sgml:
	* gtk/glossary.xml:
	* gtk/gtk-docs.sgml:
	* gtk/gtk-query-immodules-2.0.xml:
	* gtk/gtk-update-icon-cache.xml:
	* gtk/migrating-GtkAboutDialog.sgml:
	* gtk/migrating-GtkAction.sgml:
	* gtk/migrating-GtkAssistant.sgml:
	* gtk/migrating-GtkBuilder.sgml:
	* gtk/migrating-GtkColorButton.sgml:
	* gtk/migrating-GtkComboBox.sgml:
	* gtk/migrating-GtkFileChooser.sgml:
	* gtk/migrating-GtkIconView.sgml:
	* gtk/migrating-GtkLinkButton.sgml:
	* gtk/migrating-GtkRecentChooser.sgml:
	* gtk/migrating-GtkTooltip.sgml:
	* gtk/migrating-checklist.sgml:
	* gtk/osx.sgml:
	* gtk/other_software.sgml:
	* gtk/question_index.sgml:
	* gtk/resources.sgml:
	* gtk/running.sgml:
	* gtk/text_widget.sgml:
	* gtk/tree_widget.sgml:
	* gtk/visual_index.xml:
	* gtk/windows.sgml:
	* gtk/x11.sgml:
	  Use xi:include to speed up doc-build. Remove some unused entities.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 528822 - typo in GtkCombo docs

	* gtk/tmpl/gtkcombo.sgml: Fix a typo. Pointed out by Kevin Ryde.

2008-07-06  Matthias Clasen  <mclasen@redhat.com>

	Bug 488019 - Mention bind_textdomain_codeset in gettext related FAQ

	* gtk/question_index.sgml: Mention bind_textdomain_codeset()

2008-07-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.4 ===

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkradiobutton.sgml: Update

2008-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/events.sgml:
	* gdk/tmpl/gdktesting.sgml: Additions

2008-07-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/images/iconview.png: Update

2008-06-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.3 ===

2008-06-03  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.2 ===

2008-06-02  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk.types: Add GtkPrintOperationPreview.

2008-05-29  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.13.1 ===

2008-05-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/building.sgml: Document added configure options

2008-05-29  Michael Natterer  <mitch@imendio.com>

	* gtk/Makefile.am (CPPFLAGS): add -UGTK_DISABLE_SINGLE_INCLUDES so
	the code generated by gtkdoc-scangobj builds.

2008-05-29  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk.types: include <gtk/gtkunixprint.h> instead of
	individual files.

2008-05-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/compiling.sgml: Explains single includes

2008-05-28  Matthias Clasen  <mclasen@redhat.com>

	Bug 535250 - GtkToolButton reference page says "label" where 
	it should say "icon", uses underscores

	* gtk/tmpl/gtktoolbutton.sgml: Improve introduction

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions

2008-05-27  Matthias Clasen  <mclasen@redhat.com>

	Bug 531887 - GtkTooltips is deprecated, but what should I use?

	* gtk/tmpl/gtktooltips.sgml: Add a hint for what to use instead

2008-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions

2008-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: 
	* gtk/gtk-docs.sgml: Add a section for GtkMountOperation
	
2008-05-25  Matthias Clasen  <mclasen@redhat.com>

	Bug 465144 - gtkprintjob.h is not included with gtk.h

	* gtk/gtk-sections.txt: Fix include for gtkprintjob.h, pointed
	out by Étienne Bersac.

2008-05-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_printer_get_default_page_size

2008-05-20  Matthias Clasen  <mclasen@redhat.com>

	Bug 533761 - gdk_accelerator_parse() does not exist, should be
	gtk_accelerator_parse()

	* gtk/migrating-GtkAction.sgml: Fix a typo. 
	Pointed out by Matthias Warkus

2008-05-05  Matthias Clasen  <mclasen@redhat.com>

	* docs/reference/gtk/Makefile.am:
	* docs/reference/gtk/tmpl/gtkstock.sgml: Add new icons.

2008-04-10  Cody Russell  <bratsche@gnome.org>

	* docs/reference/gdk/tmpl/windows.sgml: Fix to say
	g_signal_connect_after rather than g_signal_register_after.
	(reported by Guillaume Cottenceau)

2008-04-10  Cody Russell  <bratsche@gnome.org>

	* docs/reference/gtk/tmpl/gtktreeview.sgml: Fix a typo
	in the markup. (reported by kraai -at- ftbfs.org)

2008-03-30  Tor Lillqvist  <tml@novell.com>

	Bug 524862 - Using GTK_WIN_POS_CENTER_ALWAYS gives jerky window
	resizing in Win32

	* gtk/tmpl/gtkenums.sgml: Recommend that GTK_WIN_POS_CENTER_ALWAYS
	is not used.

2008-03-11  Michael Natterer  <mitch@imendio.com>

	* gdk/Makefile.am
	* gtk/framebuffer.sgml: remove remaining linux-fb stuff.

2008-02-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.13.0 ===

2008-02-18  Sven Neumann  <sven@gimp.org>

	* gtk/tmpl/gtkstock.sgml: added GTK_STOCK_PAGE_SETUP.

2008-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml:
	* gtk/gtk-sections.txt:
	* gdk/gdk-docs.sgml:
	* gdk/gdk-sections.txt: Updates

2008-02-13  Tor Lillqvist  <tml@novell.com>

	* gtk/windows.sgml: Correct description of the Wintab and max
	palette size options. Drop obsolete Win9x stuff.

2008-02-11  Benjamin Otte  <otte@gnome.org>

	* gdk/tmpl/windows.sgml:
	remove SGML comment in example code - it was visible in the generated
	HTML.

2008-01-24  Johan Dahlin  <johan@gnome.org>

	* gtk/tmpl/gtkwidget.sgml:
	Add documentation for <accessible> buildable tag.

2008-01-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml:
	* gdk-pixbuf/gdk-pixbuf.sgml: Add indices for 2.16 

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add stream i/o functions.

2008-01-10  Sven Neumann  <sven@gimp.org>

	* gtk/tmpl/gtkeditable.sgml: corrected documentation for
	GtkEditable::delete-text.

2007-12-28  Mathias Hasselmann  <mathias@openismus.com>

	* gtk/tmpl/gtkcalendar.sgml: Move documentation for
	GtkCalendarDisplayOptions to gtk/gtkcalendar.c.

2007-12-27  Mathias Hasselmann  <mathias@openismus.com>

	* gtk/tmpl/gtkcalendar.sgml: Move documentation for
	GtkCalendarDisplayOptions to gtk/gtkcalendar.c.

2007-12-27  Mathias Hasselmann  <mathias@openismus.com>

	* docs/reference/gtk/gtk-sections.txt: Add new GtkCalendar symbols.

2007-12-27  Mathias Hasselmann  <mathias@openismus.com>

	* gtk/tmpl/gtkcalendar.sgml: Move documentation for
	GtkCalendarDisplayOptions to gtk/gtkcalendar.c.

2007-12-27  Mathias Hasselmann  <mathias@openismus.com>

	* reference/gtk/gtk-sections.txt: Add new GtkCalendar symbols.

2007-12-27  Xan Lopez  <xan@gnome.org>

	* gtk/gtk-sections.txt: Add gtk_border_new

2007-12-19 19:54:11  Tim Janik  <timj@imendio.com>

	* libgail-util/Makefile.am: include Makefile.decl to unbreak test rules.

2007-12-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/running.sgml: Mention the Gtk/IMModule XSetting.

2007-12-12  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-docs.sgml:
	* gdk/gdk-sections.txt: Add GdkAppLaunchContext

2007-12-11  Mathias Hasselmann  <mathias@openismus.com>

	* docs/reference/gtk/tmpl/gtkdnd.sgml:
	Move documentation for gtk_drag_dest_set to gtkdnd.c.

2007-11-30  Matthias Clasen <mclasen@redhat.com>

	* gkt/question-index.sgml: Correct a typo. (#500686, 
	David Lambert)

2007-11-26  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkaboutdialog.sgml: Add note about hook setup 
	to the introduction.

2007-11-25  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkdialog.sgml: Move signal docs inline.

2007-11-19  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtknotebook.sgml:
	* gtk/tmpl/gtkradiobutton.sgml: Fix typos.  (#494905,
	Olivier Delhomme)

2007-11-19  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkaboutdialog.sgml: Add some hints about
	program-name vs name.  (#496689, Thomas Wood)

2007-11-19  Matthias Clasen <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Small correction to the
	informational DTD.  (#496277, Nicolas Joseph)

2007-10-16  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.12.1 ===

2007-10-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: Move GtkFileSelection to deprecated
	section.  (#476920, Matthew Barnes)

2007-10-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktreemodel.sgml: Document GtkTreeModelForeach 
	parameters. (#4777074, Ross Burton)

2007-10-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkpaned.sgml: Mention behaviour with a single child.
	(#477447, Juri Pakaste)

2007-10-01 20:21:28  Tim Janik  <timj@imendio.com>

	* gtk/tmpl/gtkmenu.sgml: reworded push_in description with Owen's
	help, fixes bug #482034.

2007-09-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.12.0 ===

2007-09-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkBuilder.sgml: Add a paragraph about
	using gtk-builder-convert.

2007-09-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintunixdialog.sgml: Additions

2007-09-06  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/porting-from-imlib.sgml:
	* gdk/tmpl/rgb.sgml: Remove references to deprecated
	functions.  (#460207, Guillaume Cottenceau)

2007-09-06  Matthias Clasen  <mclasen@redhat.com>
	
	* gdk/tmpl/windows.sgml: Correct the example widget for
	child windows.  (#473463, Andrew Cowie)

2007-09-03  Behdad Esfahbod  <behdad@gnome.org>

	* gtk/gtk-sections.txt: Remove duplicate
	gtk_print_operation_get_error().  (#473340, Yeti)

2007-07-21  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.6 ===

2007-07-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add more tooltip convenience functions.
	
2007-07-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add icon view tooltip convenience functions.

Thu Jul 12 18:12:04 2007  Tim Janik  <timj@imendio.com>

	* gdk/tmpl/threads.sgml: clarify section about gdk_threads_enter/
	gdk_threads_leave to be reworded in terms of events and to mention
	availability of gdk_threads_add_idle_full().

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbindings.sgml: Add a paragraph about 
	keybinding signals.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkrange.sgml:
	* gtk/tmpl/gtkbox.sgml:
	* gtk/tmpl/gtksignal.sgml:
	* gtk/tmpl/gtkaboutdialog.sgml:
	* gtk/tmpl/gtkbindings.sgml:
	* gtk/tmpl/gtklabel.sgml:
	* gtk/tmpl/gtkstatusbar.sgml: Small additions and corrections.

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions

	* gtk/tmpl/gtkplug.sgml:
	* gtk/tmpl/gtksocket.sgml: Move docs inline

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Updates

2007-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkTooltip.sgml: Migration chapter
	for tooltips.

	* gtk/gtk-docs.sgml: Include it, and move GtkTooltips
	chapter to "Deprecated".

	* gtk/Makefile.am: Glue

	* gtk/tmpl/gtktooltip.sgml: Add more content from
	Kris' "tooltips in 5 minutes" mail.

2007-07-10  Matthias Clasen  <mclasen@redhat.com>
	
	* gdk/tmpl/colors.sgml: Remov references to deprecated
	api.  (#455666, Guillaume Cottenceau)

2007-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkBuilder.sgml: Add some stuff
	* gtk/gtk-builder-convert.xml: Updates

2007-07-09  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/tmpl/scaling.sgml: Remove uses of deprecated api 
	in example.  (#454835, Guillaume Cottenceau)

2007-07-09  Johan Dahlin,,,  <jdahlin@lozenge>

	* gtk/tmpl/gtkactiongroup.sgml: Document <accelerator> element

Mon Jul  9 10:32:39 2007  Tim Janik  <timj@imendio.com>

	* gdk/tmpl/threads.sgml: applied docu clarification patch from Bjoern
	Lindqvist, #454700.

2007-07-08  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/tmpl/gtkbuilder.sgml: Mention last_modification_time

2007-07-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Document context and
	comments for properties.

2007-07-07  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert.xml: Update

2007-04-05  Matthias clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Pixbuf properties

2007-07-04  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert.xml: We support GtkComboBox.items 
	properties now

Wed Jul  4 00:58:24 2007  Tim Janik  <timj@gtk.org>

	* gdk/tmpl/events.sgml: fixed up motion hint description.

2007-07-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkdrawingarea.sgml: Fix a reference 
	to a deprecated function.  (#453316, Guillaume Cottenceau)

2007-07-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Some wordsmithing
	on the memory management explanation, asked for
	by Murray Cumming.

2007-07-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.5 ===

2007-07-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Add detail about
	ordering constraints of construct-only object properties

2007-07-02  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/tmpl/gtkbuilder.sgml: Updates

2007-07-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Add more details

2007-07-01  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/tmpl/gtkbuilder.sgml:
	* gtk/tmpl/gtkexpander.sgml:
	* gtk/tmpl/gtkframe.sgml:
	* gtk/tmpl/gtknotebook.sgml:
	* gtk/tmpl/gtktreemodel.sgml: Improve GtkBuilder DTD,
	remove treemodel section, add more information about
	container subclasses child attributes. #452954

2007-07-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/*.sgml: Document GtkBuilder ui definitions.

2007-07-01  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/gtk-builder-convert.xml: Updates

2007-06-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml: Some corrections and additions

	* gtk/tmpl/gtkdialog.sgml: Explain details of GtkDialog
	as a buildable.

2007-06-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbuilder.sgml:
	* gtk/tmpl/gtkbuildable.sgml:
	* gtk/tmpl/gtkuimanager.sgml: Updates

2007-06-29  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_keymap_have_bidi_layouts

2007-06-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkBuilder.sgml: An empty shell
	* gtk/Makefile.am:
	* gtk/gtk-docs.sgml: Integrate it

	* gtk/tmpl/gtkbuildable.sgml: Some additions

Wed Jun 27 11:57:13 2007  Tim Janik  <timj@imendio.com>

	* gtk/tmpl/gtkmenu.sgml: fixed push_in description.

2007-06-25  Matthias Clasen <mclasen@redhat.com>

	* gtk/Makefile.am:
	* gtk/gtk-builder-convert.xml: Add a man page
	* gtk/gtk-docs.sgml: And include it here

	* gtk/tmpl/gtkscalebutton.sgml:
	* gtk/tmpl/gtkvolumebutton.sgml:
	* gtk/tmpl/gtkvscrollbar.sgml:
	* gtk/tmpl/gtkrange.sgml:
	* gtk/tmpl/gtkrecentaction.sgml:
	* gtk/tmpl/gtktooltip.sgml:
	* gtk/tmpl/gtkvscrollbar.sgml: Additions
	* gdk/gdk-overrides.txt: Remove GDK_WINDOWING_FB

2007-06-19  Matthias Clasen <mclasen@redhat.com>

	* === Released 2.11.4 ===

2007-06-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: Move GtkMenuShell to the abstract widgets.

2007-06-17  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* gtk/gtk-docs.sgml: Add GtkTooltip. (#448341)

2007-06-15  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.3 ===

2007-06-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktreeview.sgml: Fix up cross-references

	* gtk/gtk-sections.txt: 
	* gtk/Makefile.am: Updates

2007-06-14  Johan Dahlin  <jdahlin@async.com.br>

	* gtk/tmpl/gtktreeview.sgml (linkend): inlinegraphic instead of 
	inlinegraphics.

2007-06-13  Michael Natterer  <mitch@imendio.com>

	* gtk/tmpl/gtkmenuitem.sgml: remove stuff that has been moved inline.

2007-06-12  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Remove GDK_WINDOWING_FB
	* gtk/Makefile.am:
	* gtk/gtk-docs.sgml:
	* gtk/compiling.sgml:
	* gtk/building.sgml: Remove linux-fb references

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-update-icon-cache.xml: Document --validate

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/text_widget.sgml:
	* gtk/tree_widget.sgml:
	* gtk/tmpl/gtkscalebutton.sgml:
	* gtk/tmpl/gtktextbuffer.sgml:
	* gtk/tmpl/gtktexttag.sgml:
	* gtk/tmpl/gtktextview.sgml:
	* gtk/tmpl/gtktreemodel.sgml:
	* gtk/tmpl/gtktreeselection.sgml:
	* gtk/tmpl/gtktreeviewcolumn.sgml:
	* gtk/tmpl/gtkcellrenderer.sgml:
	* gtk/tmpl/gtkliststore.sgml:
	* gtk/tmpl/gtktreestore.sgml:
	* gtk/tmpl/gtkmenubar.sgml:
	* gtk/tmpl/gtkbbox.sgml:
	* gtk/tmpl/gtkseparator.sgml:
	* gtk/tmpl/gtkgamma.sgml:
	* gtk/tmpl/gtkhruler.sgml:
	* gtk/tmpl/gtkvruler.sgml:
	* gtk/tmpl/gtkrecentchooser.sgml:
	* gtk/tmpl/gtkvolumebutton.sgml: Clean up short descriptions

2007-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbindings.sgml:
	* gtk/tmpl/gtkrc.sgml:
	* gtk/tmpl/gtkwidget.sgml:
	* gtk/tmpl/gtkrecentmanager.sgml:
	* gtk/*.sgml:
	* gtk/tmpl/gtkstock.sgml:
	* gtk/gtk-sections.txt: Updates

	* gtk/Makefile.am: Exclude another private header

	* gtk/tmpl/gtkbox.sgml: Move docs inline

2007-06-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_rc_parse_color_full

2007-06-06  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.2 ===

2007-06-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.1 ===

2007-06-03   Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am:
	* gtk/visual_index.xml:
	* gtk/images/volumebutton.png: Volume button image

2007-06-01   Matthias Clasen  <mclasen@redhat.com>
	
	* gdk/gdk-sections.txt: Add new composited window api
	* gdk/tmpl/windows.sgml: Add composited window example

2007-05-26   Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating*.sgml: Some cleanups

2007-05-26   Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkentry.sgml: Move docs inline

	* gtk/tmpl/gtklinkbutton.sgml:
	* gtk/tmpl/gtkfilechooser.sgml:
	* gtk/tmpl/gtkcellrenderer.sgml:
	* gtk/tmpl/gtkenums.sgml:
	* gtk/tmpl/gtkcontainer.sgml: Additions

2007-05-26   Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-overrides.txt: Remove GdkBitmap
	* gtk/gtk-sections.txt:
	* gtk/tmpl/gtkenums.sgml:
	* gdk/tmpl/rgb.sgml:
	* gdk/tmpl/gcs.sgml:
	* gdk/tmpl/pango_interaction.sgml:
	* gdk/tmpl/windows.sgml: Additions

2007-05-26   Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: 
	* gdk/gdk-sections.txt: Add new api

2007-05-26   Matthias Clasen  <mclasen@redhat.com>

	* gtk/*: Get the docs in shape

2007-05-25   Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions

2007-05-24   Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.11.0 ===

2007-05-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt:
	* gdk/gdk-sections.txt: Updates

2007-05-20  Bastien Nocera  <hadess@hadess.net>

	* gtk/gtk-docs.sgml: Add missing docs for the
	volume button

2007-05-20  Bastien Nocera  <hadess@hadess.net>

        * gtk/gtk-sections.txt: Add the GtkVolumeButton widget
	to the docs

2007-05-20  Bastien Nocera  <hadess@hadess.net>

	* gtk/gtk-docs.sgml:
	* gtk/gtk-sections.txt: add the GtkScaleButton widget
	to the docs

2007-05-19  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_notebook_[gs]et_group

2007-05-18  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_entry_[gs]et_cursor_hadjustment.

2007-05-18  Matthias Clasen <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add generic icon lookup function

2007-04-29  Dan Winship  <danw@novell.com>

	* gdk/gdk-sections.txt: Add
	gdk_x11_display_broadcast_startup_message and some other missing
	startup-notification-related methods

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions to serialize/
	deserialize page setups and print settings.

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_paper_size_get_builtins

2007-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_printer_{has,request}_details

2007-04-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkdnd.sgml: Document GTK_TARGET_OTHER_*

2007-04-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcomboboxentry.sgml: Mention that the entry
	can be replaced.

2007-04-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkdialog.sgml: Fix a wrong cross reference.
	(#431289, Bastian Nocera)

2007-03-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkaboutdialog.sgml: Add a paragraph about setting
	the title on the dialog.

2007-02-14  Stefan Kost  <ensonic@users.sf.net>

	reviewed by: Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/Makefile.am:
	* gdk/Makefile.am:
	* gtk/Makefile.am: use installation prefixes of dependent libs to
	crossreference docs (#407146).

2007-01-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/sgml/gtkfilesel.sgml: Add deprecation information.

2007-01-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkentry.sgml: Expand deprecation notes for
	gtk_entry_append/prepend_text.  (#394034, Micah Carrick)

2007-01-07  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Correct the include
	for GdkPixdata.  (#394000, Samuel Cormier-Iijima)

2007-01-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkstatusbar.sgml: Move docs inline and
	expand them a bit.

2007-01-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktextbuffer.sgml: Document rich text
	serialization functions.  (#347940, Murray Cumming)

2006-12-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkactiongroup.sgml: Document that action
	labels may be NULL.

2006-12-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_cell_layout_get_cells.

	* gtk/gtk-docs.sgml: Add a "Since 2.12" index.

2006-12-22  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add new functions.
	* gdk/gdk-docs.sgml: Add a "Since 2.12" index.

Thu Dec 14 15:48:14 2006  Tim Janik  <timj@imendio.com>

	* gtk/gtk-sections.txt: added new docs.

2006-11-19  Mark McLoughlin  <mark@skynet.ie>

	* gtk/gtk-sections.txt: add gtk_status_icon_(get|set)_screen

Tue Oct 10 16:38:23 2006  Tim Janik  <timj@imendio.com>

	* gtk/tmpl/gtkbindings.sgml: 
	* gtk/gtkbindings.c: applied patch from Michael Natterer to move to 
	inline docs. applied wording fixes suggested by Martyn Russell.

Tue Oct 10 15:29:15 2006  Tim Janik  <timj@imendio.com>

	* gtk/tmpl/gtkbindings.sgml: documented GtkBinding*, #358329.

2006-09-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkpagesetup.sgml: Apply a patch
	to fix some typos.  (#355961, Claudio Saavedra)

2006-09-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/glossary.xml: Add an entry for Ellipsization.

2006-08-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkwidget.sgml: Fix some typos (Mariano Suarez-Alvarez)

2006-08-29  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_window_beep

2006-08-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/question_index.sgml: Rewrite the answer for
	automatic scrolling.

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.10.2 ===

2006-08-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktable.sgml: Fix docs for gtk_table_set_row/col_spacing.
	(#348728)

	* gtk/running.sgml: Document new GTK_DEBUG values.  (#350023,
	Mart Raudsepp)

2006-08-14  Emmanuele Bassi  <ebassi@gnome.org>

	* gtk/tmpl/gtkrecentchoosermenu.sgml: Add a warning about
	the semantics of gtk_recent_chooser_add_filter() and of
	gtk_recent_chooser_remove_filter() when applied to a
	GtkRecentChooserMenu.

2006-08-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkruler.sgml: Fix a swapped argument 
	description.  (#351241, Étienne Bersac)

2006-08-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcelllayout.sgml: Add an explanation
	of attributes.  (#349367, Don Anderson)

	* gtk/tmpl/gtkrecentmanager.sgml: Fix a typo.  (#349120, Vincent Untz) 

2006-07-23  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.1 ===

2006-07-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.types: Add  gtk_cell_renderer_spin_get_type  (#347710,
	Guillaume Cottenceau)

2006-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.types: Add missing types  (#347037, Josh Green)

2006-07-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktooltips.sgml: Fix a FIXME (#346092,
	Claudio Saavedra, Priit Laes)

2006-07-02  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.0 ===

2006-06-30 Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintsettings.sgml: Document print-to-file specific
	settings.  (#346241, Carolyn MacLeod)

2006-06-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintjob.sgml: Document GtkPrintJobCompleteFunc

	* gtk/tmpl/gtkrange.sgml: Document GtkSensitivityType

	* gtk/gtk-sections.txt: Remove gtk_print_operation_set_show_dialog

	* gtk/tmpl/gtkcontainer.sgml: Updates.

	* gtk/tmpl/gtkenums.sgml: Document GTK_ARROW_NONE.
	* gtk/tmpl/gtkarrow.sgml: Cleanups
	* gtk/gtk-sections.txt: Add some private things

2006-06-21  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.9.4 ===

2006-06-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Some additions

	* gtk/tmpl/gtkprintunixdialog.sgml: Document some of the
	print capabilities

	* gtk/question_index.sgml: Add some questions.

2006-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Remove unused print-to-file setting

2006-06-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprinter.sgml: Document GtkPrinterFunc

	* gtk/gtk-sections.txt: Add gtk_enumerate_printers

2006-06-19  Alexander Larsson  <alexl@redhat.com>

	* gtk/gtk-sections.txt:
	Add gtk_label_set_line_wrap_mode and gtk_label_get_line_wrap_mode

2006-06-12  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.3 ===

2006-06-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintunixdialog.sgml: Document resonses used
	by GtkPrintUnixDialog.  (#344558, Christian Persch)

2006-06-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintoperation.sgml: Updates

	* gtk/gtk-sections.txt: Replace pdf_target by export_filename

	* gtk/tmpl/gtkprintoperation.sgml: Remove GTK_PRINT_OPERATION_RESULT_PREVIEW.

	* gtk/tmpl/gtkstock.sgml: Correct a filename (#344239,
	John Darrington)

2006-06-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkprintoperation.sgml:
	* gtk/gtk-sections.txt: Additions

2006-06-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.2 ===

2006-06-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-checklist.sgml: Fix a small
	inconsistency.  (#343630, Claudio Saavedra)

2006-05-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkstock.sgml: Updates

	* gtk/gtk-sections.txt: Updates

	* gtk/Makefile.am (IGNORE_HFILES): Add some private
	headers

	* gtk/tmpl/gtkcellrendererspin.sgml: Fix a typo

	* gtk/gtk-sections.txt: Update 

2006-05-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add image-position api

2006-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Updates

2006-05-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions

2006-05-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions

2006-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkenums.sgml: Updates

2006-05-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.1 ====

2006-05-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkstock.sgml: 
	* gtk/Makefile.am: Add fourth stock orientation. 

2006-05-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tree_widget.sgml: Fix up example rendering. (#341855, Guillaume
	Desmottes)

2006-05-11  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/tmpl/gtkrecentmanager.sgml: Update the error enum and the
	gtk_recent_manager_add and gtk_recent_manager_add_full parameters.

	* gtk/migrating-GtkRecentChooser.sgml: Mention
	gtk_recent_manager_get_default() and update the code examples.

2006-05-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_message_dialog_set_image.

2006-05-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/question_index.sgml (reference): Update the internationalization
	answer.  (#340951, Kristof Versant)

2006-05-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.0 ===

2006-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_status_icon_position_menu

2006-04-25  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_screen_is_composited

2006-04-24  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: fix a typo.

	* gtk/tmpl/gtkentry.sgml: Remove a duplicate entry.

	* gtk/gtk-sections.txt: Fix a typo.

	* gdk-pixbuf/gdk-pixbuf.sgml: No new symbols in 2.10.

	* gdk/Makefile.am (IGNORE_HFILES): Add  directfb

	* gtk/tmpl/gtkpapersize.sgml: Additions.

	* gtk/gtk-sections.txt: Add new api.

	* gtk/Makefile.am (HTML_IMAGES): Add new stock icons.

	* gtk/tmpl/gtkstock.sgml: Document new stock icons

	* gtk/gtk-docs.sgml: 
	* gtk/gtk-sections.txt: Add a rich text section

	* gtk/Makefile.am (IGNORE_HFILES): Add some more private headers.

	* gtk/tmpl/gtkpreview.sgml: 
	* gtk/tmpl/gtkrecentmanager.sgml: 
	* gtk/tmpl/gtkprintoperation.sgml: 
	* gtk/tmpl/gtkrecentchooser.sgml: 
	* gtk/tmpl/gtkicontheme.sgml: Additions

	* gtk/gtk-sections.txt: Remove GtkRecentChooserDefault

2006-04-22  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/tmpl/gtkrecentchoosermenu.sgml:
	* gtk/tmpl/gtkrecentchooserwidget.sgml: Fix unclosed para tags.

2006-04-21  Alexander Larsson  <alexl@redhat.com>

	* gtk/Makefile.am:
	* gtk/gtk-docs.sgml:
	* gtk/gtk-sections.txt:
	* gtk/gtk.types:
	* gtk/images/pagesetupdialog.png:
	* gtk/images/printdialog.png:
	* gtk/tmpl/gtkpagesetup.sgml:
	* gtk/tmpl/gtkpagesetupunixdialog.sgml:
	* gtk/tmpl/gtkpapersize.sgml:
	* gtk/tmpl/gtkprintcontext.sgml:
	* gtk/tmpl/gtkprinter.sgml:
	* gtk/tmpl/gtkprintjob.sgml:
	* gtk/tmpl/gtkprintoperation.sgml:
	* gtk/tmpl/gtkprintsettings.sgml:
	* gtk/tmpl/gtkprintunixdialog.sgml:
	* gtk/visual_index.xml:
	Add docs for the printing support

2006-04-17  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/tmp/gtkicontheme.sgml: Fix the code of the look up example.

2006-04-17  Emmanuele Bassi  <ebassi@cvs.gnome.org>

	* gtk/tmpl/gtkrecent*.sgml: Add long descriptions.

2006-04-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkrecent*.sgml: Add short descriptions

	* gtk/migrating-GtkRecentChooser.sgml: Cosmetic fixes to 
	examples.

2006-04-04  Tor Lillqvist  <tml@novell.com>

	* gdk/tmpl/threads.sgml: Mention that the Win32 backend should not
	be used from multiple threads.

2006-03-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Updates

	* gtk/Makefile.am (IGNORE_HFILES): Updates

	* gtk/images/recentchooserdialog.png: Shrink it.

2006-03-30  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Additions

	* gtk/Makefile.am (HTML_IMAGES): add
	recentchooserdialog.png
	
	* gtk/visual_index.xml: add GtkRecentChooserDialog
	* gtk/images/recentchooserdialog.png: New image
	* gtk/images/filechooser.png: Updated
	
2006-03-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkrc.sgml: Document <classname> in paths.

2006-03-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions.

	* gtk/tmpl/gtkcellrendererspin.sgml: 
	* gtk/tmpl/gtkcellrendererprogress.sgml: 
	* gtk/tmpl/gtkcellrenderercombo.sgml: 
	* gtk/tmpl/gtkcellrendereraccel.sgml: Updates.

	* gtk/gtk-sections.txt: Additions

2006-03-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Updates

2006-03-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/osx.sgml: 
	* gtk/directfb.sgml: Add skeleton sections for new ports.
	
	* gtk/gtk-docs.sgml:
	* gtk/Makefile.am: Integrate them.

2006-03-10  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-sections.txt: add gtk_entry_get,set_inner_border()

2006-03-08  Michael Natterer  <mitch@imendio.com>

	* gdk/gdk-sections.txt: added gdk_screen_get_active_window()
	and gdk_screen_get_window_stack()

2006-02-27  Federico Mena Quintero  <federico@novell.com>

	* gtk/tmpl/gtkfontsel.sgml: Don't put the docs for
	gtk_font_selection_{set,get}_font_name() here; put them in the code
	instead.
	Don't recommend the deprecated gtk_font_selection_get_font() as
	the way to get the font back.

	* gtk/tmpl/gtkfontseldlg.sgml: Don't put the docs for
	gtk_font_selection_dialog_get_font_name() here; put them in the
	code instead.
	Don't recommend the deprecated
	gtk_font_selection_dialog_get_font() as the way to get the font
	back.

2006-02-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt:
	* gtk/tmpl/gtknotebook.sgml: Additions

2006-02-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions.

	* gdk/gdk-sections.txt: Additions.

2006-02-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkrc.sgml: Updates

2006-02-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkliststore.sgml: Add a section about
	atomicity of insertions. (#329831, Milosz Derezynski)

2006-02-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkmenushell.sgml: 
	* gtk/tmpl/gtkmenu.sgml: Add deprecation notes.

2006-01-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions

2006-01-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/visual_index.xml: Add GtkLinkButton

	* gtk/images/link-button.png: New image.

	* gtk/Makefile.am: Add new files.

2006-01-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/visual_index.xml: Add GtkAssistant

	* gtk/images/assistant.png: New image.

	* gtk/tmpl/gtkassistant.sgml: More docs, by Carlos Garnacho.

	* gtk/Makefile.am: Add new files.

2006-01-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_link_button_set_uri_hook

	* gtk/gtk-docs.sgml: 
	* gtk/migrating-GtkAssistant.sgml: Add a migration guide
	GnomeDruid --> GtkAssistant.  (Carlos Garnacho)

2006-01-27  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Mention that ~ is also a default
	key binding.

2006-01-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: 
	* gtk/gtk-docs.sgml: 
	* gtk/gtk.types: Add GtkLinkButton docs

2006-01-18  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/gtk-sections.txt:
	* gtk/gtk-docs.sgml:
	* gtk/gtk.types: Add GtkAssistant docs

2006-01-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_radio_action_set_current_value

2006-01-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am (HTML_IMAGES): 
	* gtk/tmpl/gtkstock.sgml: Add rtl variants of indent
	and unindent icons.

2006-01-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_widget_get_action,
	gtk_window_get_group

2005-12-30  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_cairo_set_source_pixmap

2005-12-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkmain.sgml: Add deprecation note to
	gtk_exit()  (#325199, Ævar Arnfjörð Bjarmason)

2005-12-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcombo.sgml: Small additions

2005-12-19  Matthias Clasen  <mclasen@redhat.com>
	
	* gdk-pixbuf/tmpl/module_interface.sgml: 
	* gdk-pixbuf/gdk-pixbuf-sections.txt: 
	* gdk-pixbuf/tmpl/animation.sgml: Small additions/fixes.

	* gdk/tmpl/input.sgml: 
	* gdk/tmpl/rgb.sgml: 
	* gdk/tmpl/x_interaction.sgml: 
	* gdk/tmpl/windows.sgml: Small additions/fixes

	* gdk/Makefile.am (IGNORE_HFILES): Add quartz

	* gdk/gdk-sections.txt: Add gdk_window_get_type_hint

	* gtk/gtk-sections.txt: Add GtkStatusIcon so it gets
	an object hierarchy.

	* gtk/tmpl/gtkbutton.sgml: Remove inlined documentation

	* gtk/tmpl/gtkstatusicon.sgml: Explicitly document GtkStatusIcon
	as a non-widget.  (#324181, Maciej Katafiasz)

2005-11-28  Matthias Clasen  <mclasen@redhat.com>
	
	* gtk/tmpl/gtkobject.sgml: Update docs on floating references

2005-11-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkrc.sgml: Document symbolic colors and
	color expressions.

2005-11-23  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-sections.txt: add gtk_style_lookup_color

2005-11-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_combo_box_[sg]et_title

	* gtk/Makefile.am (HTML_IMAGES): Fix some _ vs - confusion. 

2005-11-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkstock.sgml: 
	* gtk/Makefile.am (HTML_IMAGES): Update stock documentation
	to refer to the new icon names.

2005-11-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new api.

2005-11-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-update-icon-cache.xml: 
	* gtk/gtk-update-icon-cache.1: Document the --source option.

2005-10-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkfilechooser.sgml: Don't use deprecated functions
	in examples.  (#319524, Vincent Untz)

	* gtk/gtk-update-icon-cache.xml: Fix a typo.  (#319524, Vincent Untz)

2005-10-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_text_buffer_get_has_selection().

2005-10-05  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Document the "quick-bookmark"
	binding signal.

2005-10-04  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Document the "desktop-folder"
	binding signal.

2005-09-26  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/gcs.sgml: Fix a comment.

2005-09-22  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-docs.sgml
	* gtk/gtk-sections.txt
	* gtk/gtk.types: GtkCellRendererKeys -> GtkCellRendererAccel

Tue Sep 20 17:16:50 2005  Tim Janik  <timj@imendio.com>

	* gtk/tmpl/gtkrc.sgml: added anchor. complexity doesn't get worse
	than O(n^2) with recent glib.

2005-09-15  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: List all the default key bindings.
	Fix the documentation for the "location-popup" binding signal; its
	"path" argument was not listed.  Mention a tip to have a crude
	form of bookmarks accessible through key bindings.

2005-09-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkeditable.sgml: Clarify docs
	for ::insert-text signal.  (#316094, Tommi
	Komulainen)

Tue Sep 13 14:16:27 2005  Tim Janik  <timj@imendio.com>

	* gtk/tmpl/gtkrc.sgml: fixed wording and typos in some places.
	added a new section "Optimizing RC Style Matches".

2005-09-11  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_intern_static_string.

2005-09-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: 
	* gtk/gtk-sections.txt: Add a section for GtkCellRendererKeys

	* gdk/tmpl/event_structs.sgml: Document GdkEventKey.is_modifier.

2005-09-06  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/windows.sgml: Document new modifier bits.

2005-09-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkpaned.sgml: Fix some typos.
	(#315208, Vincent Untz)

2005-08-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_window_[sg]et_deletable.
	Add gtk_selection_data_targets_include_uri.
	Add gtk_targets_include... functions.

2005-08-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkstatusicon.sgml: Add a long description.

	* gtk/Makefile.am (HTML_IMAGES): Add stock_select_all_24.png
	
	* gtk/gtk-sections.txt: 
	* gtk/tmpl/gtkstock.sgml: Add GTK_STOCK_SELECT_ALL. 

	* gtk/gtk.types: Add gtk_status_icon_get_type

	* gtk/gtk-docs.sgml: Add GtkStatusIcon

	* gtk/gtk-sections.txt: Add GtkStatusIcon

2005-08-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-update-icon-cache.xml: 
	* gtk/gtk-update-icon-cache.1: Updates.

2005-08-26  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/gdk-pixbuf.sgml: 
	* gdk/gdk-docs.sgml: 
	* gtk/gtk-docs.sgml: Add indices for new
	symbols in 2.10

	* gdk/gdk-sections.txt: Add font options
	API.

2005-08-24  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.2 ===

	* === Released 2.8.1 ===

2005-08-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-update-icon-cache.xml: 
	* gtk/gtk-update-icon-cache.1: Updates.

2005-08-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktreemodel.sgml: Fix an 
	example.  (#313595, Olexiy Avramchenko)

2005-08-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.0 ===

2005-08-12  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/tmpl/scaling.sgml: Remove a
	confusing gdk_window_set_back_pixmap() call
	from the example, pointed out by Owen
	Taylor.

2005-08-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/building.sgml: Updates.

2005-08-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Add new stock images.

	* gtk/gtk-sections.txt: 
	* gtk/Makefile.am: 
	* gdk-pixbuf/gdk-pixbuf-sections.txt: 
	* gdk/tmpl/images.sgml: Small fixes

2005-08-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.5 ===

2005-08-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.types: Add gtk_clipboard_get_type. (#312443, Danny Milo)

2005-07-22  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: Call gtk_menu_attach_to_widget()
	in the example for the ::popup-menu signal.

2005-07-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktreemodelsort.sgml: Note that the sorting 
	function is not guaranteed to be stable.  (#311398, 
	Fabrice Bauzac)

2005-07-22  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.4 === 

2005-07-22  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/tmpl/module_interface.sgml: Document unanchored 
	patterns.

2005-07-21  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooserdialog.sgml (dialog): Expand the Save
	example to point out the correct usage of _set_current_folder()
	and _set_current_name(), versus _set_filename() alone.

2005-07-15  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.3 ===

2005-07-15  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Add "Since 2.8" to the signal and enum.

2005-07-15  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooserdialog.sgml: Add a "save" example to the
	typical usage.

	* gtk/gtk-sections.txt: Add GtkFileChooserConfirmation,
	gtk_file_chooser_set_do_overwrite_confirmation,
	gtk_file_chooser_get_do_overwrite_confirmation.

	* gtk/tmpl/gtkfilechooser.sgml: Document the confirmation signal
	and enumeration; provide an example.

2005-07-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new api.

2005-07-11  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add new api.

2005-07-10  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/windows.sgml: Update links to the EWMH.  (#309910,
	Park Ji-In)

2005-07-08  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.2 ===

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Remove duplicate entries.

2005-07-08  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-docs.sgml: Fix the "new in 2.8" index.

	* gdk-pixbuf/gdk-pixbuf.sgml: Add the "new in 2.8" index.

2005-07-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkIconView.sgml: Corrections.  
	(#309718, Tim-Philipp Müller)
	
2005-07-06  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/general.sgml: Point to GdkEventGrabBroken
	from the gdk_pointer_grab and gdk_keyboard_grab docs.

2005-07-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/building.sgml: Document Cairo as a 
	dependency.

	* gtk/images/file-button.png: Update (#309409,
	Peter van den Bosch)

2005-07-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new api.

2005-07-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/framebuffer.sgml: Add a warning.

2005-07-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.1 ===
	
2005-06-29  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/images.sgml: 
	* gdk/tmpl/dnd.sgml: 
	* gdk/tmpl/events.sgml: 
	* gdk/tmpl/windows.sgml:
	* gdk/tmpl/visuals.sgml: 
	* gdk/tmpl/cairo_interaction.sgml: 
	* gdk/tmpl/event_structs.sgml: 
	* gdk/tmpl/input_devices.sgml: 
	* gtk/gtk-sections.txt: 
	* gtk/Makefile.am (IGNORE_HFILES):
	* gtk/tmpl/gtkstock.sgml: Updates.

2005-06-28  Ross Burton  <ross@burtonini.com>

	* gtk/tmpl/gtkcomboboxentry.sgml: Clarify.

2005-06-27  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/event_structs.sgml: Update docs.

2005-06-25  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add GdkEventGrabBroken.

2005-06-21  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_window_move_region

2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.0 ===

2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_window_present_with_time

2005-06-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/Makefile.am: Ignore some more headers.

	* gtk/gtk-sections.txt: Updates.

2005-06-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkuimanager.sgml: Document that 
	toolitem elements may have menu subelements.

	* gtk/gtk-sections.txt: Updates

2005-06-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: 
	* gdk/gdk-sections.txt: Add urgency hint API.

2005-06-14  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add new functions.

2005-06-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions.

	* gtk/tmpl/gtkfontsel.sgml: Some more details (#307384, Billy
	Biggs)

2005-06-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_icon_view_get_visible_range

2005-06-10  Michael Natterer  <mitch@imendio.com>

	* gtk/gtk-sections.txt: Add gtk_action_get_accel_closure

2005-06-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkclipboard.sgml: 
	* gtk/gtk-sections.txt: Add GtkClipboardIamgeReceivedFunc

	* gtk/tmpl/gtkpaned.sgml: 
	* gtk/tmpl/gtkmenu.sgml: 
	
	* gtk/tmpl/gtkmenubar.sgml: 
	* gtk/tmpl/gtkimage.sgml: 
	* gtk/tmpl/gtkfontsel.sgml: 
	* gtk/tmpl/gtkbbox.sgml: 
	* gtk/tmpl/gtkadjustment.sgml: 
	* gtk/tmpl/gtkaccelgroup.sgml: 
	* gtk/tmpl/gtkaboutdialog.sgml: Additions.

2005-06-09  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add some symbols.

	* gdk/gdk-sections.txt: 
	* gdk/tmpl/cairo_interaction.sgml: 
	* gdk/gdk-docs.sgml: Add a section for the Cairo functions.

	* gtk/gtk-sections.txt: Add new icon view function.

2005-05-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new entry completion functions.

2005-05-25  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add GdkPixbufSimplAnim
	functions.

2005-05-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkAction.sgml: Fix an example.  (#304808,
	Ghorban M. Tavakoly)

2005-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/properties.sgml: Updates.

	* gtk/migrating-checklist.sgml: Add a section about named
	icons.

	* gtk/gtk-sections.txt: Add new functions.

2005-05-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tree_widget.sgml: Use gtk-doc abbrevs instead of 
	spelled out links.

	* gtk/gtk-docs.sgml: Included the processed file xml/tree_widget.sgml.

	* gtk/Makefile.am (expand_content_files): Add tree_widget.sgml.

2005-05-08  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/visuals.sgml: Fix a typo (#303473, Masao Mutoh)

	* gdk-pixbuf/tmpl/inline.sgml: 
	* gdk-pixbuf/tmpl/file-saving.sgml: Add long descriptions.

	* gdk-pixbuf/tmpl/module_interface.sgml: Small additions.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add a missing function.

	* gdk-pixbuf/Makefile.am (IGNORE_HFILES): Add xpm-color-table.h

	* gdk/Makefile.am (IGNORE_HFILES): Add keyname-table.h

	* gdk/gdk-sections.txt: Add gdk_cairo_set_source_color,
	gdk_drawable_create_cairo_context and
	gdk_pixbuf_set_as_cairo_source, remove 
	gdk_draw_rectangle_alpha_libgtk_only

	* gdk/tmpl/pixbufs.sgml: 
	* gdk/tmpl/cursors.sgml: Add long descriptions.
	
	* gdk/tmpl/events.sgml: 
	* gdk/tmpl/dnd.sgml: 
	* gdk/tmpl/windows.sgml: 
	* gdk/tmpl/pixmaps.sgml: 
	* gdk/tmpl/x_interaction.sgml: Small additions.

2005-05-07  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/pango_interaction.sgml: Fix a reference.
	(#303403, Masao Mutoh)

2005-05-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new icon view API.

2005-05-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkmenutoolbutton.sgml: Trivial fix (#303168,
	Masao Mutoh)

2005-05-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_dialog_get_response_for_widget.
	Add new scrolled window getters.

2005-05-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new icon view functions.

	* gtk/tmpl/gtkselection.sgml: Remove inlined docs.

	* gtk/gtk-sections.txt: Remove nonexisting functions.

2005-04-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkuimanager.sgml: Refer to the correct
	property. (#301115, Richard Hult)

2005-04-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkbbox.sgml: Document that GtkButtonBox ignores
	the homogeneous property.  (#171412, Morten Welinder)

	* gtk/tmpl/gtkfilechooser.sgml: Add a paragraph about
	shortcut terminology.  (#166906, Sebastien Bacher)

	* gtk/tmpl/gtkenums.sgml: Make the docs of GKT_SELECTION_MULTIPLE
	more accurate by making them more vague.  (#167088,
	Ken Siersma)

	* gtk/question_index.sgml: Add a question about hiding
	tree view expanders.

	* gtk/tmpl/gtkradiobutton.sgml: Add a sentence about
	toggling.  (#159382, Worik Stanton)

2005-04-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktooltips.sgml: Mention enter and leave
	events.  (#167546, Billy Biggs)

2005-04-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new functions.

2005-04-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkselection.sgml: Move docs inline.

2005-03-31  Michael Natterer  <mitch@gimp.org>

	* gtk/gtk-sections.txt: added gtk_menu_set/get_take_focus().

	* gtk/tmpl/gtkmenushell.sgml: regenerated.

2005-03-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_button_[sg]et_image

2005-03-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkwidget.sgml: Typo fixes. 	(#169728, 
	Morten Welinder, Owen Taylor)

2005-02-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtktreeselection.sgml:
	* gtk/tmpl/gtktreeview.sgml:
	* gtk/tmpl/gtktreeviewcolumn.sgml: Fix typos
	in see also lists.  (# 168698, Torsten Schoenfeld)

	* gtk/tmpl/gtktreemodel.sgml: Fix stack vs heap 
	confusion.  (#168690, Torsten Schoenfeld)

2005-02-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcalendar.sgml: Add some more 
	info.  (#167356, Hubert Sokolowski)

2005-02-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add GtkPackDirection and 
	related functions.

2005-02-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkuimanager.sgml: Mention the expanding
	toolbar separators.

2005-02-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_stock_set_translate_func.

2005-02-02  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/event_structs.sgml: 
	* gdk/tmpl/events.sgml: Mark GdkEventOwnerChange and
	GdkOwnerChange as 2.6 additions.  (#165823, Masao Mutoh)

2005-02-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-update-icon-cache.xml:
	* gtk/gtk-update-icon-cache.1: Document the --quiet option.

2005-01-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtksocket.sgml:
	* gtk/tmpl/gtkplug.sgml: Add note on limited
	availability.  (#164347, Roger Light)

2005-01-19  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_x11_display_get_user_time.

2005-01-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: Add an index for 2.8 symbols.

	* gdk/gdk-docs.sgml: Add an index for 2.8 symbols.

	* gdk/gdk-sections.txt: Add gdk_display_warp_pointer.

2005-01-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/building.sgml: Some updates.  (#164147, #164108, 
	Karel Kulhavy)

2005-01-08  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.1 ===
	
2005-01-03  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/threads.sgml: Improve the threads 
	examples.  (#161618, Stefan Kost)

2004-12-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkexpander.sgml: Typo fix. (#162219, Masao Mutoh)

2004-12-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkitemfactory.sgml: Document GtkTranslateFunc

2004-12-17  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/x_interaction.sgml: Remove a no longer needed
	note.  (#161544, Tommi Komulainen)

Fri Dec 17 13:51:17 2004  Jonathan Blandford  <jrb@redhat.com>

	* gtk/Makefile.am (HTML_IMAGES): spell missing stock icons
	correctly.

2004-12-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkfeatures.sgml: Improve wording.  (#161484,
	Christian Biere)

	* gtk/Makefile.am (HTML_IMAGES): Add some missing stock
	icons..

	* gtk/tmpl/gtkstock.sgml: Fix some stock icon names.

	* === Released 2.6.0 ===

2004-12-15  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/drawing.sgml: Document GdkTrapezoid.

	* gtk/tmpl/gtkcelleditable.sgml: 
	* gtk/tmpl/gtkcellview.sgml: 
	* gtk/tmpl/gtktreeviewcolumn.sgml: 
	* gtk/tmpl/gtktreeview.sgml: 
	* gtk/tmpl/gtktreesortable.sgml: Add/improve long
	descriptions.

	* gtk/glossary.xml: Remove a dangling link.

2004-12-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new iconview methods.
	Remove gtk_cell_view_set_value[s] for now.

2004-12-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new label methods.

2004-12-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new list store methods.
	Add gtk_cell_renderer_stop_editing.

2004-12-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_text_view_get_iter_at_position.

2004-12-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/images/colorsel.png:
	* gtk/images/fontsel.png:
	* gtk/images/filechooser.png:
	* gtk/visual_index.xml: 
	* gtk/Makefile.am (HTML_IMAGES): Add new images.

2004-12-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.6 ===

2004-12-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcombobox.sgml: 
	* gtk/tmpl/gtkcomboboxentry.sgml: Add long descriptions.

2004-12-01  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/windows.sgml: Document all window types.  (#160149,
	Billy Biggs)
	
2004-11-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Remove gtk_cell_view_set_cell_data().

	* gtk/tmpl/gtkfilefilter.sgml: Mention subclassing, aliasing
	and supertypes.

2004-11-28  Matthias Clasen  <mclasen@redhat.com>

	* gtk/images/combo-box.png: New image

	* gtk/visual_index.xml: 
	* gtk/Makefile.am (HTML_IMAGES): Add combo-box.png

Sat Nov 20 16:01:51 2004  Owen Taylor  <otaylor@redhat.com>

        * gdk/gdk-sections.txt gdk/gdk.types : Update for GdkPangoRenderer
	* gdk/Makefile.am gdk/images/rotated-text.png:

	* gdk/tmpl/pango_interaction.sgml: Add a long
	description and an extensive example (more or less the same as 
	demos/gtk-demo/rotated_text.c)

	* gtk/gtk-sections.txt: Add gtk_label_set/get_angle.

2004-11-20  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_dialog_set_alternative_button_order_from_array

2004-11-18  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.types: Sort alphabetically, add gtk_clipboard_get_type

2004-11-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/visual_index.xml: Sort alphabetically.

2004-11-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkfilefilter.sgml: Add docs.

	* === Released 2.5.5 ===
	
	* gtk/Makefile.am (content_files): Add migrating-GtkColorButton.sgml

2004-11-12  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/tmpl/module_interface.sgml: Document 
	GDK_PIXBUF_FORMAT_THREADSAFE.

2004-11-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_action_get_accel_path.

	* gtk/migrating-GtkAction.sgml: Explain how to migrate
	non-stock icons.

	* gtk/gtk-sections.txt: Add gtk_label_[gs]et_single_line_mode.

2004-11-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_file_filter_add_pixbuf_formats.

2004-11-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkaboutdialog.sgml: 
	* gtk/migrating-GtkColorButton.sgml: 
	* gtk/migrating-GtkIconView.sgml: 
	* gtk/migrating-GtkAboutDialog.sgml: Markup fixes. 

2004-11-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: 
	* gtk/migrating-GtkColorButton.sgml: Add some hints about
	GnomeColorPicker --> GtkColorButton migration.

	* gtk/migrating-GtkAboutDialog.sgml: Fix links.

	* gtk/Makefile.am (content_files): Add new migration chapters.

	* gtk/tmpl/gtkaboutdialog.sgml: Markup fix.

	* gtk/tmpl/gtkstock.sgml: Fix markup.

2004-11-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: 
	* gtk/migrating-GtkAboutDialog.sgml: Add a first version
	of a GnomeAbout --> GtkAboutDialog migration chapter.

	* gtk/tmpl/gtkaboutdialog.sgml: Update.

2004-11-04  Bastien Nocera  <hadess@hadess.net>

	* gtk/tmpl/gtkstock.sgml: add RTL variants for all the media icons
	needing it

2004-11-03  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: 
	* gtk/migrating-GtkIconView.sgml: Add a first version of
	a GnomeIconList --> GtkIconView migration chapter.

2004-11-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcellrenderercombo.sgml: 
	* gtk/tmpl/gtkcellrenderertoggle.sgml: 
	* gtk/tmpl/gtkcellrenderertext.sgml: Add introductions.
	
	* gtk/tmpl/gtkcellrenderer.sgml: Additions.

	* gtk/gtk-sections.txt: Remove GtkFileChooserEmbed, since
	it is not in the headers we parse.

2004-11-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcellrendererpixbuf.sgml: Add an intro.

	* gtk/tmpl/gtkfilechooserbutton.sgml: Move some docs inline.

	* gtk/tmpl/gtkaboutdialog.sgml: Small update.

	* gdk-pixbuf/tmpl/initialization_versions.sgml: Document
	gdk_pixbuf_{major,minor,micro}_version.

Mon Nov  1 13:37:31 2004  Jonathan Blandford  <jrb@redhat.com>

	* gtk/question_index.sgml (linkend): add missing tag.

2004-11-01  Matthias Clasen  <mclasen@redhat.com>

	* gtk/question_index.sgml: Add a "ref and sink" question.  
	(#156865, Philip Langdale, text based on a comment by Owen
	Taylor)

	* gtk/tmpl/gtkrc.sgml: Document im_module_file and settings
	assignments as toplevel statements.
	
2004-10-31  Matthias Clasen  <mclasen@redhat.com>

	* gtk/windows.sgml: s/PRETEND_WIN9X/G_WIN32_PRETEND_WIN9X/.

	* gtk/tmpl/gtktreemodel.sgml: Small correction for
	gtk_tree_path_new_root().  (#156956, Vincent Untz)

	* gtk/gtk-sections.txt: Additions.

2004-10-29  Matthias Clasen  <mclasen@redhat.com>

	* gtk/question_index.sgml: Move the "tail" question to the
	text view section.
	Add an entry for "why are my types not registered".  (#156809,
	Q by Salvador Fandiño, A by Owen Taylor)
	
2004-10-27  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.4 ===

2004-10-26  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Additions.

	* gdk-pixbuf/tmpl/scaling.sgml: Document GdkPixbufRotation. 

	* gtk/gtk-update-icon-cache.1: Regenerated.

2004-10-25  Anders Carlsson  <andersca@gnome.org>

	* gdk/gdk-sections.txt:
	* gtk/gtk-sections.txt:
	Add new clipboard persistence api.
	
2004-10-25  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new named icon api in GtkImage.
	Add new button order api.

Sun Oct 24 02:54:36 2004  Jonathan Blandford  <jrb@redhat.com>

	* gtk/gtk.types: Add GtkAboutDialog and GtkFileChooserButton

	* gtk/tmpl/GtkFileChooserButton.sgml: Write docs

	* gtk/tmpl/GtkListStore.sgml: Update performance comment now that
	we use GSequence.

	* gtk/visual_index.xml: Fix up a couple of errors.

	* gtk/images/*png: update

2004-10-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add new DND functions.

2004-10-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-update-icon-cache.xml: A man page for gtk-update-icon-cache.

	* gtk/gtk-docs.sgml: Add it here	

	* gtk/Makefile.am (man_MANS): ...and here.

2004-10-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/glossary.xml: Additions.

2004-10-15  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkaboutdialog.sgml: More short description 
	unification.

	* gtk/tmpl/gtkenums.sgml: Note that GTK_RESIZE_IMMEDIATE 
	is deprecated.

2004-10-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/glossary.xml: Some more additions.

2004-10-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/glossary.xml: Some more additions.

Tue Oct 12 11:04:47 2004  Owen Taylor  <otaylor@redhat.com>

	* gtk/glossary.xml: Fix SGML errors.

2004-10-11  Matthias Clasen  <matthias@localhost.localdomain>

	* gtk/glossary.xml: Add some terms.

	* gtk/tmpl/*.sgml: Make the short descriptions a bit more
	consistent.

	* gtk/images/image.png:
	* gtk/images/scales.png:
	* gtk/images/statusbar.png: New images.

	* gtk/visual_index.xml:
	* gtk/Makefile.am (HTML_IMAGES): Add statusbar, scale 
	and image images.

2004-10-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/migrating-GtkComboBox.sgml: Remove chapterinfo.

	* gtk/tmpl/gtkdialog.sgml: Document GtkDialogFlags and GtkResponseType,
	and fix an error in the introduction.  (#155055, Shaun McCance)

	* gtk/tmpl/gtktreesortable.sgml: Document GtkTreeIterCompareFunc
	(#154943)

2004-10-10  Matthias Clasen  <matthias@localhost.localdomain>

	* gtk/images/spinbutton.png:
	* gtk/images/scrolledwindow.png: New images.

	* gtk/Makefile.am (HTML_IMAGES): 
	* gtk/visual_index.xml: Add scrolled window and spinbutton.

	* gtk/images/progressbar.png:
	* gtk/images/notebook.png:
	* gtk/images/toolbar.png:
	* gtk/images/menubar.png:
	* gtk/images/messagedialog.png: New images.

	* gtk/Makefile.am (HTML_IMAGES): 
	* gtk/visual_index.xml: Add toolbar, menubar, progressbar, 
	notebook and message dialog.

2004-10-09  Matthias Clasen  <mclasen@redhat.com>

	* gtk/visual_index.xml: Correct some linkends.

	* gtk/tmpl/gtkfontbutton.sgml: Remove test image.

	* gtk/Makefile.am (IGNORE_HFILES): Remove some no longer
	private headers.
	(HTML_IMAGES): Remove a duplicate entry.

2004-10-08  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add some missing functions.

	* gdk/gdk-sections.txt: Add some missing functions.

	* gtk/running.sgml: Update list of supported debug flags.

2004-10-06  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkenums.sgml: Clarify documentation for selection
	modes.  (#154188, Jonathan Blandford, new wording proposed by
	Owen Taylor)

2004-10-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_accelerator_get_label().

2004-09-19  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.3 ===

Wed Sep 15 01:01:11 2004  Matthias Clasen  <maclas@gmx.de>

	* docs/reference/gtk/images/accel-label.png:
	* docs/reference/gtk/images/file-button.png:
	* docs/reference/gtk/images/icon-view.png:
	* gtk/visual_index.xml: 
	* gtk/Makefile.am (HTML_IMAGES): Add accel label, file button
	and icon view.

Tue Sep 14 22:13:51 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/building.sgml: Document --disable-visibility.

2004-09-14  Matthias Clasen  <mclasen@redhat.com>

	* gdk/tmpl/event_structs.sgml: Document GdkEventOwnerChange and
	GdkOwnerChange.

	* gdk/tmpl/rgb.sgml: Document gdk_rgb_colormap_ditherable().

2004-09-01  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Updates.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add some missing
	declarations.

	* gtk/running.sgml: Mention that modules can also
	be specified in a setting.

Thu Aug 26 01:31:42 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add 
	gdk_pixbuf_new_from_file_at_scale().

2004-08-25  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.2 ===

2004-08-24  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/gdk-pixbuf-csource.xml: Document bugs of
	the runlength encoder.

Tue Aug 24 02:28:21 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Include visual index.

	* gtk/visual_index.xml: New file listing images for 
	visual index.

	* gtk/Makefile.am (HTML_IMAGES): Add visual index images.

Mon Aug 23 16:56:15 2004  Jonathan Blandford  <jrb@redhat.com>

	* gtk/Makefile.am: add images to the doc build.

2004-08-17  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkfilechooserbutton.sgml: 
	* gtk/gtk-sections.txt: 
	* gtk/gtk-docs.sgml: Add section for GtkFileChooserButton.

Mon Aug 16 01:44:30 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Updates.

Thu Aug 12 00:00:12 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkuimanager.sgml: Add some information about
	allowed values for the name and action attributes.

Wed Aug 11 23:13:02 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add new GtkAction setters.

2004-08-11  Matthias Clasen  <mclasen@redhat.com>

	* gdk-pixbuf/Makefile.am (IGNORE_HFILES): Add gdk-pixbuf-alias.h

Tue Aug 10 18:58:15 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk/Makefile.am (IGNORE_HFILES): Add gdkalias.h
	
	* gtk/Makefile.am (IGNORE_HFILES): Add gtkalias.h.

Mon Aug  9 10:52:23 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_entry_layout_index_to_text_index() 
	and its inverse. 

2004-08-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkrc.sgml: Fix a typo (#164470, Mariano 
	Suarez-Alvarez)

2004-08-06  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_drag_drop_succeeded.

2004-08-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_file_chooser_[sg]et_show_hidden.

2004-08-02  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add hover-expand setter and getter.

2004-08-01  Matthias Clasen  <mclasen@redhat.com>
                                                                                
        * === Released 2.5.1 ===
                                                                                
Sat Jul 31 17:20:22 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add some forgotten functions.

Sat Jul 31 17:18:57 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/framebuffer.sgml: 
	* gtk/windows.sgml: 
	* gtk/x11.sgml: 
	* gtk/running.sgml: Reorganize backend-specific cmdline
	arguments and environment variables, fill the Windows
	sections, add XDG_DATA_HOME, XDG_DATA_DIRS.

Sat Jul 31 14:06:32 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/running.sgml: We use GTK2_RC_FILES instead of 
	GTK_RC_FILES...

2004-07-30  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Update to combo box api changes.

2004-07-27  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_combo_box_get_popup_accessible.

Thu Jul 22 01:04:14 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add new ellipsistation api.

Sun Jul 18 20:17:41 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* === released 2.5.0 ==

2004-07-19  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkcellview.sgml: New template.

	* gtk/Makefile.am (IGNORE_HFILES): Remove gtkcellview.h
	and gtkcellviewmenuitem.h

	* gtk/gtk-docs.sgml: Add GtkCellView section.

	* gtk/gtk-sections.txt: Add new entry completion api.
	Add GtkCellView section.

Sat Jul 17 23:42:09 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_icon_view_[sg]et_orientation.

Sat Jul 17 00:55:54 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add new text target list handling
	functions.

Fri Jul 16 23:54:18 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add new GtkWindow and GtkIconTheme 
	functions for named themed window icons.

2004-07-16  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: 
	* gtk/gtk-docs.sgml: Add GtkCellRendererCombo.

2004-07-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_parse_args.

Tue Jul 13 02:01:56 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkaboutdialog.sgml: Additions.

Tue Jul 13 01:16:20 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkiconview.sgml: Updates.

Tue Jul 13 00:45:14 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Move GtkAboutDialog to Windows section. 

2004-07-12  Federico Mena Quintero  <federico@ximian.com>

	* gtk/glossary.xml: Start of the GTK+ glossary.

	* gtk/Makefile.am (content_files): Added glossary.xml.

	* gtk/gtk-docs.sgml: Likewise.

2004-07-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: Add GtkAboutDialog to "Display 
	Widgets" for now.

	* gtk/gtk-sections.txt: Add GtkAboutDialog section.
	* gtk/tmpl/gtkaboutdialog.sgml: New file.

Mon Jul 12 00:57:32 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkstock.sgml: 
	* gtk/Makefile.am (HTML_IMAGES): 
	* gtk/gtk-sections.txt: Add new stock items.

Thu Jul  8 00:00:20 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/module_interface.sgml: Add new functions.

Wed Jul  7 23:57:43 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add new functions.

2004-07-07  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/*: Misc additions.

	* gtk/gtk-sections.txt: Updates.

	* gtk/tmpl/gtkcellrendererprogress.sgml: New file.

	* gtk/gtk-docs.sgml: Add GtkCellRendererProgress.

	* gtk/Makefile.am (HTML_IMAGES): Add file and directory icons.

2004-07-04  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: 
	Actually add the iconview docs somewhere (in the tree view
	section, for lack of a better place).

2004-07-04  Anders Carlsson  <andersca@gnome.org>

	* gtk/gtk-docs.sgml:
	* gtk/gtk-sections.txt:
	* gtk/gtk.types:
	Add GtkIconView to the documentation.
	
Sat Jul  3 23:44:45 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtksocket.sgml: 
	* gtk/tmpl/gtkicontheme.sgml: 
	* gtk/building.sgml: 
	* gdk/tmpl/windows.sgml: Fix links to www.freedesktop.org.  
	(#145210, Billy Biggs)

Tue Jun 22 21:54:24 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/composite.dia: 
	* gdk-pixbuf/composite.png: Flip the y axes in the diagrams. 

2004-06-22  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkmenu.sgml: Document the push_in parameter
	of GtkMenuPositionFunc.

	* gtk/tmpl/gtkeditable.sgml: Make example UTF-8 
	safe.  (#143264, Tommi Komulainen)

	* gdk/tmpl/gcs.sgml: Move function docs inline.

Mon Jun 21 00:46:20 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add 
	gdk_pixbuf_rotate_simple() and gdk_pixbuf_flip();

Sat Jun 19 01:42:20 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/composite.png: Add a figure which tries
	to expain pixbuf compositing.
	
	* gdk-pixbuf/composite.dia: 
	* gdk-pixbuf/apple-red-1a.png: 
	* gdk-pixbuf/apple-red-2c.png: 
	* gdk-pixbuf/gnome-gmush-1.png: Sources for composite.png.
	
	* gdk-pixbuf/Makefile.am (HTML_IMAGES): Add composite.png.

Fri Jun 18 21:20:42 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreemodelfilter.sgml: Fix the docs for
	GtkTreeModelFilterVisibleFunc (#144583, Olivier Andrieu)

Mon May 31 00:16:36 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktable.sgml: Document the default attach
	options for gtk_table_attach_defaults().  (#143391,
	Steve Chaplin)

Fri May 28 14:34:36 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcontainer.sgml: Fix docs for 
	gtk_container_border_width().  (#143309, Doug Quale)

Thu May 27 00:44:48 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_entry_completion_get_text_column.

Thu May 27 00:20:52 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkentrycompletion.sgml: Add notes about 
	GtkEntryCompletionMatchFunc.

Tue May 25 21:54:55 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkframe.sgml: Move docs inline.

Wed May 19 23:42:40 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Add the right include for the "X interaction"
	section.

2004-05-18  Matthias Clasen  <mclasen@redhat.com>

	* gdk/gdk-sections.txt: Add gdk_display_supports_selection_notification
	and gdk_display_request_selection_notification, GdkEventOwnerChange,
	and GdkOwnerChange.

2004-05-14  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tree_widget.sgml: Minor update.

2004-05-12  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk.types: Add gtk_cell_renderer_toggle_get_type.

	* gtk/gtk-sections.txt: Add section for GtkCellRendererProgress.

Wed May 12 00:30:57 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/gcs.sgml: Additions.

2004-05-11  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkenums.sgml: Document the selection modes here,
	rather than in the docs of deprecated list widgets.

Tue May 11 00:29:53 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkpixmap.sgml: 
	* gtk/tmpl/gtkoldeditable.sgml: 
	* gtk/tmpl/gtklistitem.sgml: 
	* gtk/tmpl/gtklist.sgml: 
	* gtk/tmpl/gtkitemfactory.sgml: 
	* gtk/tmpl/gtkctree.sgml: 
	* gtk/tmpl/gtkclist.sgml: Add deprecation notes.

2004-05-10  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_menu_get_for_attach_widet,
	gtk_tree_view_get_fixed_height_mode,
	gtk_tree_view_set_fixed_height_mode,
	gtk_tree_view_get_hover_selection,
	gtk_tree_view_set_hover_selection

	* gdk/gdk-sections.txt: Add gdk_window_set_user_time().

	* gdk-pixbuf/gdk-pixbuf.sgml: 
	* gtk/gtk-docs.sgml: 
	* gdk/gdk-docs.sgml: Add an index for 2.6 additions.

Fri May  7 01:21:14 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkicontheme.sgml: Fix example.  (Steffen Röcker)

Thu May  6 00:22:38 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_action_group_translate_string()

Thu May  6 00:04:03 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add missing getters.

Wed May  5 23:46:19 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_combo_box_get_active_text().

Wed May  5 23:12:36 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add 
	gdk_pixbuf_format_is_scalable().

2004-05-05  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-docs.sgml: 
	* gdk-pixbuf/gdk-pixbuf.sgml: 
	* gdk/gdk-docs.sgml: Add multiple indices.

2004-05-04  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkuimanager.sgml: Fixes to the DTD.

2004-04-30  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.4.1 ===

2004-04-29  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Added an .gtkrc-2.0 example of how
	to actually change the key bindings.

2004-04-23  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkdialog.sgml: 
	* gtk/tmpl/gtkeditable.sgml: 
	* gtk/tmpl/gtkfilesel.sgml: 
	* gtk/tmpl/gtkmain.sgml: 
	* gtk/tmpl/gtkmenu.sgml: 
	* gtk/tmpl/gtkmessagedialog.sgml: 
	* gtk/tmpl/gtktogglebutton.sgml: Remove excessive
	casts from examples.  (#139387, Olexiy Avramchenko)

	* gtk/migrating-GtkAction.sgml: Fix an example.  
	(#138966, Tim-Philipp Müller)

	* gdk/tmpl/properties.sgml: Document the only_if_exists argument
	to gdk_atom_intern() as ignored.

2004-04-21  Matthias Clasen  <mclasen@redhat.com>

	* gtk/gtk-sections.txt: Add GtkFileChooserEmbed to a 
	Private section, so gtk-doc can strip it out of the hierarchy.

2004-04-15  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Added a section explaining
	character encoding for filenames.

2004-04-13  Matthias Clasen  <mclasen@redhat.com>

	* gtk/tmpl/gtkuimanager.sgml: Some corrections.

2004-04-13  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Typo fix.

2004-04-12  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Added documentation about
	GtkFileChooserDefault's key binding signals.

2004-03-26  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooserdialog.sgml: Added a section about using
	known response codes for "accept"-type buttons, rather than custom
	responses.  This is related to bugs #136237 and #138263.

Tue Mar 16 13:17:26 2004  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.4.0 ===

Tue Mar 16 00:13:19 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreestore.sgml: Remove cvs conflict
	markers.

Sun Mar 14 22:27:59 2004  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtktreeview.sgml: Document 
	#GtkTreeViewSearchEqualFunc and its backwards return
	value.

Mon Mar 15 02:36:32 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkentrycompletion.sgml: Add some docs.

Tue Mar  9 09:34:10 2004  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.3.6 ===

Tue Mar  9 00:52:56 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/migrating-GtkAction.sgml: Fix the example XML ui
	description.

Mon Mar  8 08:26:52 2004  Owen Taylor  <otaylor@redhat.com>

	* gtk/building.sgml: Fix link to gettext. (Henning Nielsen Lund)

Sat Mar  6 23:50:37 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Document that [xy]thickness can
	be specified in a style.

Fri Mar  5 23:58:01 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreemodelfilter.sgml: A little addition.

Fri Mar  5 23:45:06 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkinvisible.sgml: Remove "internally-used"
	which sounds like "private".

Tue Mar  2 23:51:24 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkentrycompletion.sgml: Add a bit about actions.

Mon Mar  1 19:47:48 2004  Owen Taylor  <otaylor@redhat.com>

	 * === Released 2.3.5 ====

	* gtk/gtk-sections.txt: Update

Sun Feb 29 22:04:43 2004  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_entry_get_alignment

Sun Feb 29 20:32:18 2004  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Add gtk_window_mnemonic_activate

Sat Feb 28 01:14:23 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/migrating-GtkComboBox.sgml: New chapter.

Sat Feb 28 01:11:53 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Include migrating-GtkComboBox.sgml.

Sat Feb 28 01:11:34 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (content_files): Add migrating-GtkComboBox.sgml.

Fri Feb 27 22:54:01 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Sort deprecated widgets alphabetically.

2004-02-27  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-GtkAction.sgml: Put explicit <link> elements
	instead of #Symbol, because the latter doesn't get substituted by
	gtk-doc outside of template files.  Thanks to Matthias for
	pointing this out.

	* gtk/migrating-GtkFileChooser.sgml: Likewise.

	* gtk/gtk-sections.txt: Removed gtk_file_chooser_{set,get}_folder_mode.

Fri Feb 27 22:51:35 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkoptionmenu.sgml: 
	* gtk/tmpl/gtkcombo.sgml: Add some more deprecation notes.

Fri Feb 27 22:47:28 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkfilechooser.sgml: Suppress link in example.

Fri Feb 27 22:40:50 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (IGNORE_HFILES): Add gtkpathbar.h

Fri Feb 27 22:27:34 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_widget_{add,remove,list}_mnemonic_label(s).

2004-02-27  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-GtkFileChooser.sgml: Inform about
	gtk_file_chooser_set_action().

Thu Feb 26 22:18:21 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_combo_box_entry_new_text.

Thu Feb 26 21:41:25 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_rc_reset_styles.

Tue Feb 24 19:06:20 2004  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.3.4 ===

2004-02-24  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkexpander.sgml: Added a section about usage when you
	want to manage the expanded widgets yourself.

Tue Feb 24 14:45:03 2004  Owen Taylor  <otaylor@redhat.com>

	* === Released 2.3.3 ===

Thu Feb 19 00:11:23 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_radio_menu_item_new_from_widget
	gtk_radio_menu_item_new_with_label_from_widget,
	gtk_radio_menu_item_new_with_mnemonic_from_widget.

2004-02-17  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: Add a missing semicolon to an
	entity.

2004-02-16  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: Umm, I'm on crack.  Use
	gtk_accelerator_get_default_mod_mask().

	* gdk/tmpl/windows.sgml: Removed the incorrect description from
	GDK_MODIFIER_MASK.

2004-02-16  Federico Mena Quintero  <federico@ximian.com>

	* gdk/tmpl/windows.sgml: Added an example of how to use
	GDK_MODIFIER_MASK to test for modifier keys correctly.

	* gtk/migrating-checklist.sgml: Likewise.

Sun Feb 15 23:51:08 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcomboboxentry.sgml: 
	* gtk/tmpl/gtkcombobox.sgml: Add short descriptions.

Sun Feb 15 22:09:53 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcombo.sgml: 
	* gtk/tmpl/gtkoptionmenu.sgml: Add deprecation notes pointing
	people to GtkComboBox.

Sun Feb 15 02:46:53 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreednd.sgml: Add docs.

Sat Feb 14 03:09:49 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Remove duplicated section for
	file gtktreednd.sgml.

Fri Feb 13 00:54:24 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_scale_get_layout
	and gtk_scale_get_layout_offsets.

Thu Feb 12 23:56:12 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_tooltips_get_info_from_tip_window.

Thu Feb 12 23:30:25 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_combo_box_{popup,popdown}.

Thu Feb 12 02:00:53 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreemodelfilter.sgml: 
	* gtk/tmpl/gtkentrycompletion.sgml: 
	* gtk/tmpl/gtkcelllayout.sgml: Additions.

Thu Feb 12 01:27:02 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Updates.

Thu Feb 12 01:26:42 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (IGNORE_HFILES): Add some private headers.

Sat Feb  7 00:38:23 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add GtkAccelMap, gtk_accel_map_get,
	and a bunch of standard and private accel map symbols.

Sat Feb  7 00:38:03 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk.types: Add gtk_accel_map_get_type.

Sun Feb  1 00:37:44 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkobject.sgml: Remove misleading documentation for 
	gtk_object_set_user_data().  (#101614)

Sun Feb  1 00:30:53 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/general.sgml: Improve the documentation of event_mask for
	gdk_pointer_grab.  (#132223, Pascal Haakmat)

Fri Jan 30 00:27:36 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcombo.sgml: Document clearing the list with
	gtk_combo_set_popdown_strings().

Wed Jan 28 22:51:41 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreeviewcolumn.sgml: Remove unfinished sentence, until
	jrb finds time to write a real description.

Wed Jan 28 21:46:55 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/event_structs.sgml: Fix a header name misspelling.  
	(#123589, Jan Huelsbergen)

2004-01-23  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: Note that a widget must be
	focusable for the menu keybindings to work.

2004-01-22  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: Mention when it is useful to use
	GdkEventExpose.region rather than GdkEventExpose.area.

2004-01-22  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: Point to GtkEntry as an example of
	a widget that uses a custom function to position its popup menu.

2004-01-22  Federico Mena Quintero  <federico@ximian.com>

	* gtk/migrating-checklist.sgml: New chapter with a "Migration
	Checklist" of things people need to do to be good citizens in the
	GTK+ world.  This is mainly a way to tell people about interesting
	APIs that they should use instead of hand-hacked approaches.

	* gtk/gtk-docs.sgml: Added migrating-checklist.sgml.

	* gtk/Makefile.am (content_files): Likewise.

Thu Jan 22 01:46:45 2004  Jonathan Blandford  <jrb@gnome.org>

	* gtk/tmpl/gtktreemodelsort.sgml: new introduction section.

2004-01-20  Federico Mena Quintero  <federico@ximian.com>

	* gtk/gtk-sections.txt: Added gtk_paned_get_child[12].

Thu Jan 15 23:54:46 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Move the old chapters about 1.2 and 2.0 
	changes to Federicos new 'migrating' part.

Fri Jan  9 00:38:58 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_ui_manager_get_toplevels.

Thu Jan  8 00:14:02 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkmain.sgml (gtk_input_add_full): Fix link in deprecation
	note.

Wed Jan  7 22:25:45 2004  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_action_new, gtk_toggle_action_new,
	gtk_radio_action_new, gtk_action_group_add_action_with_accel.

Wed Jan  7 01:56:33 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/file-saving.sgml: Document GdkPixbufSaveFunc.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add GdkPixbufSaveFunc,
	gdk_pixbuf_save_to_callback, gdk_pixbuf_save_to_callbackv,
	gdk_pixbuf_save_to_buffer and gdk_pixbuf_save_to_bufferv.

Wed Jan  7 01:27:23 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/module_interface.sgml: Document expected
	module behaviour if the size_func returns 0.

Wed Jan  7 01:26:07 2004  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add gdk_pixbuf_get_file_info.

2004-01-06  Federico Mena Quintero  <federico@ximian.com>

	* gdk-pixbuf/tmpl/gdk-pixbuf.sgml: Added a section on how to
	compute pixel offsets for gdk_pixbuf_get_pixels().

Mon Dec 29 01:40:20 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_accel_map_{un,}lock_path.

Wed Dec 24 01:12:12 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add GtkClipboardTargetReceivedFunc,
	gtk_clipboard_request_targets, gtk_clipboard_wait_for_targets.

Wed Dec 24 01:11:36 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkclipboard.sgml: Document GtkClipboardTargetReceivedFunc.

Sun Dec 21 01:58:33 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_menu_shell_cancel.

Thu Dec 18 01:24:35 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_message_dialog_set_markup

Tue Dec 16 01:57:13 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Add gdk_display_set_double_click_distance.

Mon Dec 15 01:03:08 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_button_[sg]et_alignment.

Sun Dec 14 01:25:49 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Add gdk_x11_register_standard_event_type.

Sat Dec 13 22:37:46 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (HTML_IMAGES): Add 
	stock_dialog_authentication_48.png.  (#129255, Olivier Andrieu)

Fri Dec 12 00:52:25 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Add the new gdk_spawn_* and
	gdk_threads_* declarations.

Thu Dec 11 01:57:55 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/gdk-pixbuf-loader.sgml: Signal documentation
	moved inline.

Thu Dec 11 00:04:10 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_window_[sg]et_accept_focus().
	* gdk/gdk-sections.txt: Add gdk_window_set_accept_focus().

Wed Dec 10 00:09:51 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Add gdk_window_get_group(), 
	gdk_display_get_default_group().

2003-12-08  Federico Mena Quintero  <federico@ximian.com>
 
 	* gtk/migrating-GtkAction.sgml: New chapter about how to migrate
 	from gnome-ui/bonobo-ui/etc. to GtkAction.
 
 	* gtk/gtk-docs.sgml: Integrated the above.
 
 	* gtk/Makefile.am (content_files): Added migrating-GtkAction.sgml.
 
Mon Dec  8 12:47:01 2003  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (IGNORE_HFILES): Add xdgmime directory,
	gtkfilesystemwin32.

	* gtk/gtk-sections.txt: Some updates.

Sun Nov 23 20:59:57 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/tree_widget.sgml: Add a missing comma.

Fri Nov 21 00:09:36 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkfontsel.sgml: 
	* gtk/tmpl/gtkfontseldlg.sgml: Remove leftover documentation of
	the filter functionality that got removed long ago.

2003-11-18  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Added sections section about
	generating previews and including extra widgets.

	* gtk/gtk-docs.sgml: Added a part about migrating old code to new
	widgets.

	* gtk/migrating-GtkFileChooser.sgml: New file.

	* gtk/Makefile.am (content_files): Added
	migrating-GtkFileChooser.sgml.

Tue Nov 18 00:12:23 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Add gdk_drawable_copy_to_image.

Mon Nov 17 23:29:21 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_combo_box_new_with_model,
	gtk_combo_box_set_model.

Sun Nov 16 00:41:48 2003  Matthias Clasen  <maclas@gmx.de>
 
	* gtk/gtk-sections.txt: Remove gtk_tool_item_[sg]et_pack_end.

Sun Nov 16 00:32:18 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Move GtkFileChooser out of the
	private section, in order to get the autogenerated docs
	on hierarchy, signals, properties, etc.

Sat Nov 15 00:25:39 2003  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/module_interface.sgml: Add an example
	for GdkPixbufModulePattern.

Wed Nov 12 21:52:35 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_menu_set_monitor.

Fri Oct 24 13:15:32 2003  Soeren Sandmann  <sandmann@daimi.au.dk>

	* gtk/tmpl/gtktoolbar.sgml, gtk/tmpl/gtkseparatortoolitem.sgml:
	Mention the "expand" and "draw" trick for separator tool items.

Fri Oct 24 17:21:04 2003  Owen Taylor  <otaylor@redhat.com>

	* gdk-pixbuf/Makefile.am gtk/Makefile.am: Distribute generated
	man pages.

2003-10-23  Federico Mena Quintero  <federico@ximian.com>

	* gtk/tmpl/gtkfilechooser.sgml: Added the text for the initial
	section, and descriptions for the signals and enumerations.

	* gtk/tmpl/gtkfilechooserdialog.sgml: Added the text for the
	initial section, and a short example.

	* gtk/tmpl/gtkfilechooserwidget.sgml: Added the text for the
	initial section.

Fri Oct 24 00:25:07 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkfilefilter.sgml: 
	* gtk/tmpl/gtkfilechooser.sgml: 
	* gtk/tmpl/gtkfilechooserwidget.sgml: 
	* gtk/tmpl/gtkfilechooserdialog.sgml: Add short descriptions.

Thu Oct 23 22:41:02 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Move GtkCombo and GtkOptionMenu to
	the "Deprecated" chapter. Add GtkFileChooser, GtkFileChooserDialog,
	GtkFileChooseWidget and GtkFileFilter.

2003-10-23  Federico Mena Quintero  <federico@ximian.com>

	* gtk/gtk.types: Added gtk_file_chooser_get_type,
	gtk_file_chooser_dialog_get_type,
	gtk_file_chooser_widget_get_type, gtk_file_filter_get_type.

	* gtk/gtk-sections.txt: Added GtkFileChooser,
	GtkFileChooserWidget, GtkFileChooserDialog, GtkFileFilter.

	* gtk/Makefile.am (IGNORE_HFILES): Added gtkcellrendererseptext.h,
	gtkfilechooserdefault.h, gtkfilechooserentry.h,
	gtkfilechooserutils.h, gtkfilesystem.h, gtkfilesystemmodel.h,
	gtkfilesystemunix.h.

	* gtk/tmpl/gtkfilechooser.sgml: New template file.

	* gtk/tmpl/gtkfilechooserdialog.sgml: Likewise.

	* gtk/tmpl/gtkfilechooserwidget.sgml: Likewise.

	* gtk/tmpl/gtkfilefilter.sgml: Likewise.

Sun Oct 12 00:33:48 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk.types: Add the get_type() functions for
	GtkEntryCompletion, GtkTreeModelFilter, GtkCellLayout, 
	GtkComboBox, GtkComboBoxEntry.

Sat Oct 11 00:18:46 2003  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkprogressbar.sgml: Included 
	gtk_progress_bar_get_orientation() in the list of undeprecated 
	functions, use less clumsy markup for enumerations.

2003-10-02  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (IGNORE_HFILES): Add gtkcellview.h and
	gtkcellviewmenuitem.h.

	* gtk/tmpl/gtkentrycompletion.sgml: 
	* gtk/tmpl/gtktreemodelfilter.sgml: 
	* gtk/tmpl/gtkcelllayout.sgml: 
	* gtk/tmpl/gtkcombobox.sgml: 
	* gtk/tmpl/gtkcomboboxentry.sgml: New templates.

	* gtk/gtk-sections.txt: 
	* gtk/gtk-docs.sgml: Add sections for GtkEntryCompletion, 
	GtkTreeModelFilter, GtkCellLayout, GtkComboBox, GtkComboBoxEntry.

	* gtk/tmpl/gtktreednd.sgml: Add short description.

	* gtk/gtk-docs.sgml: Move GtkItemFactory to the "Deprecated" chapter.

	* gtk/tmpl/gtktoggletoolbutton.sgml: Fix section title.

2003-10-01  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/keys.sgml: Add two missing signals.

	* gtk/tmpl/gtkaction.sgml: Fix cross reference to GtkMenuMerge.

	* gtk/gtk-sections.txt: Additions.

	* gtk/tmpl/gtkitemfactory.sgml: Add hint to use #GtkUIManager instead.

2003-09-30  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkuimanager.sgml: Add a section about empty menus.

	* gdk/tmpl/keys.sgml: Small addition.

	* gdk/gdk-sections.txt: Add GdkDisplayClass and GdkScreenClass.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add GdkPixbufLoaderClass.

2003-09-22  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktable.sgml: Fix a copy-and-paste error.  (#122800)

2003-09-21  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_widget_[gs]et_no_show_all.
	Add gtk_toggle_action_[gs]et_draw_as_radio.

2003-09-18  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: 
	* gtk/tmpl/gtkuimanager.sgml: Updates for accelerator-only actions.

2003-09-16  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkaction.sgml: 
	* gtk/tmpl/gtkradioaction.sgml: 
	* gtk/tmpl/gtkactiongroup.sgml: 
	* gtk/tmpl/gtkuimanager.sgml: Updates.

2003-09-15  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkuimanager.sgml: Add a paragraph about smart separators.

	* gtk/gtk-sections.txt: Add gtk_action_group_add_toggle_actions[_full].

2003-09-12  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/drawing.sgml: Add deprecation note for gdk_draw_pixmap().

2003-09-11  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/drawing.sgml: Add hints about obtaining Pango 
	structures. (#121953, Martin Pool)

2003-09-04  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add GtkUIManagerItemType.

	* gtk/tmpl/gtkuimanager.sgml: Change the name of the "pos" 
	attribute to "position".

	* gtk/tmpl/gtkactiongroup.sgml: Doc tweaks.

2003-09-02  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkactiongroup.sgml:	
	* gtk/tmpl/gtkuimanager.sgml: Additions.

	* gtk/gtk-sections.txt: Add gtk_ui_manager_new_merge_id and
	gtk_ui_manager_add_ui.

2003-09-01  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkuimanager.sgml: Add an example UI description.

	* gtk/gtk-sections.txt: Add gtk_ui_manager_ensure_update.

2003-08-31  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (IGNORE_HFILES): Add gtktoggleactionprivate.h

	* gtk/tmpl/gtkuimanager.sgml: 
	* gtk/gtk-sections.txt: Replace gtk_ui_manager_activate by
	gtk_ui_manager_get_action.

	* gtk/tmpl/gtkuimanager.sgml: 
	* gtk/tmpl/gtkactiongroup.sgml: 
	* gtk/tmpl/gtkaction.sgml: 
	* gtk/tmpl/gtktoggleaction.sgml: 
	* gtk/tmpl/gtkradioaction.sgml: Additions.

	* gtk/gtk-sections.txt: Updates.

	* gtk/gtk.types: Add GtkAction, GtkActionGroup, GtkToggleAction,
	GtkRadioAction and GtkUIManager.
	
2003-08-28  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/events.sgml: Improve PointerHint docs.
	* gdk/tmpl/event_structs.sgml: Explain is_hint field in GdkEventMotion.
	(#120542)

2003-08-26  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Rename GtkMenuMerge to GtkUIManager
	* gtk/gtk-docs.sgml: Adjust.
	* gtk/tmpl/gtkuimanager.sgml: New template.
	* gtk/tmpl/gtkmenumerge.sgml: Removed.

2003-08-24  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkmenumerge.sgml: 
	* gtk/tmpl/gtkaction.sgml: 
	* gtk/tmpl/gtkactiongroup.sgml: 
	* gtk/tmpl/gtkradioaction.sgml: 
	* gtk/tmpl/gtktoggleaction.sgml: New templates.

	* gtk/gtk-docs.sgml: 
	* gtk/gtk-sections.txt: Add GtkMenuMerge, GtkAction, GtkActionGroup, 
	GtkRadioAction, GtkToggleAction.

2003-08-11  Matthias Clasen  <maclas@gmx.de>
 
	* gdk/gdk-sections.txt: Add gdk_window_set_keep_above and
	gdk_window_set_keep_below.  

	* gtk/gtk-sections.txt: Add gtk_window_set_keep_above and
	gtk_window_set_keep_below. 

	* gdk/tmpl/event_structs.sgml: Document GDK_WINDOW_STATE_FULLSCREEN, 
	GDK_WINDOW_STATE_ABOVE and GDK_WINDOW_STATE_BELOW.

2003-08-10  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkwidget.sgml: Document public GtkWidget members.
	(#119463) 

2003-08-09  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcalendar.sgml: Deprecate
	GTK_CALENDAR_WEEK_START_MONDAY. (#87977) 

2003-08-03  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/gdk-pixbuf.sgml: Clarify misleading explanation
	of rowstride. (#119000) 

Tue Jul 29 14:21:48 2003  Soeren Sandmann  <sandmann@daimi.au.dk>

	* gtk/tmpl/gtktoolbar.sgml: Move documentation inline

2003-07-29  Sven Neumann  <sven@gimp.org>

	* gdk/tmpl/pixmaps.sgml: Resurrected documentation that got lost
	when the window parameter was renamed to drawable.

2003-07-21  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkdnd.sgml: It is GTK_DEST_DEFAULT_DROP, not
	GTK_DRAG_DEFAULT_DROP. (#117917, Tim-Philipp Müller)

2003-07-19  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add GTK_STOCK_DIALOG_AUTHENTICATION.

	* gtk/tmpl/gtkstock.sgml: Add GTK_STOCK_DIALOG_AUTHENTICATION.

	* gtk/gtk-sections.txt: Add gtk_button_box_get_child_secondary().

2003-07-18  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_message_dialog_new_with_markup()
	and gtk_window_set_default_icon(). 

2003-07-15  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkseparatortoolitem.sgml: 
	* gtk/tmpl/gtkradiotoolbutton.sgml: 
	* gtk/tmpl/gtktoggletoolbutton.sgml: New templates.

	* gtk/gtk-docs.sgml: Include gtkseparatortoolitem.xml,
	gtkradiotoolbutton.xml and gtktoggletoolbutton.xml.

	* gtk/gtk.types: Add gtk_separator_tool_item_get_type,
	gtk_radio_tool_button_get_type and gtk_toggle_tool_button_get_type.

	* gtk/gtk-sections.txt: Add GtkSeparatorToolItem,
	GtkRadioToolButton and GtkToggleToolButton sections.

	* gdk/tmpl/input_devices.sgml: Remove docs for
	gdk_device_get_history() which are now inline. 

	* gdk/gdk-sections.txt: Add gdk_display_flush.

2003-07-13  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk.types: Add gtk_tool_button_get_type and
	gtk_tool_item_get_type. 
	
	* gtk/tmpl/gtktoolbutton.sgml:
	* gtk/tmpl/gtktoolitem.sgml:
	* gtk/gtk-docs.sgml: 
	* gtk/gtk-sections.txt: Add new toolbar api.

	* gtk/tmpl/gtkdnd.sgml: Remove docs for gtk_drag_begin(), which
	are now inline. 

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add
	gdk_pixbuf_new_from_file_at_size. 

2003-07-08  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkfilesel.sgml: Fix the example.  (#116575)

Wed Jul  2 18:15:21 2003  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am gtk/gtk-docs.sgml gtk/gtksections.txt
	gtk/tmpl/gtkicontheme.sgml: Document named icon system.

	* gtk/tmpl/gtkrc.sgml: Mention specifying named icons
	as @"icon-name".

	* gtk/tmpl/gtkimage.sgml: Add a cross-reference to stock
	icons.

2003-07-01  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcolorbutton.sgml: 
	* gtk/tmpl/gtkfontbutton.sgml: 
	* gtk/tmpl/gtkexpander.sgml: New files. Templates for GtkExpander,
	GtkFontButton and GtkColorButton. 

	* gtk/gtk-sections.txt: Add a sections for GtkExpander,
	GtkColorButton and GtkFontButton. 

	* gtk/gtk-docs.sgml: Add an entities for GtkExpander,
	GtkColorButton and GtkFontButton. 
	
	* gtk/gtk.types: Add gtk_expander_get_type,
	gtk_color_button_get_type() and gtk_font_button_get_type(). 

	* gdk/gdk-sections.txt: Add
	gdk_cursor_new_from_pixbuf(), gdk_display_supports_cursor_alpha(), 
	gdk_display_supports_cursor_color(),
	gdk_display_get_default_cursor_size() and 
	gdk_display_get_maximal_cursor_size(). 

2003-06-30  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcontainer.sgml: Write a bit about size negotiation. 

	* gtk/tmpl/gtkwidget.sgml: Some additions.

2003-06-24  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Move GtkIMContext to "Abstract Base Classes",
	since its abstract. 

	* gtk/tmpl/gtkaccessible.sgml: 
	* gtk/tmpl/gtkimmulticontext.sgml: 
	* gtk/tmpl/gtkimcontextsimple.sgml: 
	* gtk/tmpl/gtkimcontext.sgml: 
	* gtk/tmpl/gtkviewport.sgml: 
	* gtk/tmpl/gtkcellrenderertext.sgml: 
	* gtk/tmpl/gtkcellrendererpixbuf.sgml: 
	* gtk/tmpl/gtkcelleditable.sgml: 
	* gtk/tmpl/gtktreemodelsort.sgml: 
	* gtk/tmpl/gtktreednd.sgml: 
	* gtk/tmpl/gtktreesortable.sgml: Add short descriptions.

2003-06-23  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (HTML_IMAGES): Add RTL variants of stock icons.

	* gtk/tmpl/gtkstock.sgml: Document RTL variants of stock icons. 

2003-06-22  Matthias Clasen  <matthias@localhost.localdomain>

	* gdk-pixbuf/tmpl/gdk-pixbuf.sgml: Typo fix.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add
	gdk_pixbuf_loader_new_with_mime_type. 

2003-06-19  Matthias Clasen  <maclas@gmx.de>

	* gtk/question_index.sgml: Add a question about changing
	fonts. And one about "Getting Started".  (#114747, #108015)	 

2003-06-17  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/Makefile.am: Add rule to regenerate man pages from 
	Docbook.
	(man_MANS): Add gdk-pixbuf-csource.1, gdk-pixbuf-query-loaders.1.
	(content_files): Add gdk-pixbuf-csource.xml, 
	gdk-pixbuf-query-loaders.xml.

	* gdk-pixbuf/gdk-pixbuf-csource.xml: New refentry, containing the 
	former gdk-pixbuf/gdk-pixbuf-csource.1, converted to Docbook.

	* gdk-pixbuf/gdk-pixbuf-query-loaders.xml: New refentry.

	* gdk-pixbuf/gdk-pixbuf-csource.1:
	* gdk-pixbuf/gdk-pixbuf-query-loaders.1: Man pages generated from
	the .xml sources.

	* gdk-pixbuf/gdk-pixbuf.sgml: Include gdk-pixbuf-csource.xml and
	gdk-pixbuf-query-loaders.xml.
	
	* gtk/Makefile.am: Add rule to regenerate man pages from Docbook.
	(man_MANS): Add gtk-query-immodules-2.0.1
	(content_files): Add gtk-query-immodules-2.0.xml

	* gtk/gtk-query-immodules-2.0.xml: New refentry.

	* gtk/gtk-query-immodules-2.0.1: Man page generated from the .xml 
	source.

	* gtk/gtk-docs.sgml: Include gtk-query-immodules-2.0.xml.

	* gtk/gtk-docs.sgml: 
	* gdk-pixbuf/gdk-pixbuf.sgml: 
	* gdk/gdk-docs.sgml: Add autogenerated indices.

2003-06-11  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkdnd.sgml: Fix some typos.

2003-06-10  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_text_view_[gs]et_overwrite().

2003-06-05  Matthias Clasen  <maclas@gmx.de>

	* gtk/question_index.sgml: Add a couple of questions.

2003-06-01  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_alignment_[gs]et_padding().

2003-05-27  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkadjustment.sgml: Document allowed values for
	adjustments which are used in scrollbars.  (#108448, Ernst Lippe)

	* gtk/tmpl/gtkradiomenuitem.sgml: Fix example.  (#113604, 
	Julien Moutte)

2003-05-08  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcalendar.sgml: Deprecate gtk_calendar_display_options().

	* gtk/gtk-sections.txt: Add gtk_calendar_[sg]et_display_options().

2003-05-05  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: 
	* gtk/tmpl/gtksocket.sgml: Improve the docs about cross-process
	embedding a bit.  (#112101, #112006)

2003-05-01  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: 
	* gtk/gtk-sections.txt: Remove some accidentally committed changes.

2003-04-16  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkstyle.sgml: Additions.

2003-04-13  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkenums.sgml: Additions.

	* gtk/tmpl/gtkvruler.sgml: 
	* gtk/tmpl/gtkhruler.sgml: 
	* gtk/tmpl/gtkgamma.sgml: 
	* gtk/tmpl/gtkcurve.sgml: 
	* gtk/tmpl/gtkruler.sgml: Fix some typos and add some markup.

	* gtk/gtk-sections.txt: Add a bunch of new functions.

2003-04-09  Matthias Clasen  <maclas@gmx.de>

	* gtk/building.sgml: More typo fixes.

2003-04-08  Matthias Clasen  <maclas@gmx.de>

	* gtk/building.sgml: Typo fix.

2003-04-07  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktexttag.sgml: Document GTK_WRAP_WORD_CHAR.  (#110086)

	* gtk/tmpl/gtkenums.sgml, gtk/tmpl/gtkmain.sgml,
	gtk/tmpl/gtkpaned.sgml, gtk/tmpl/gtkradiobutton.sgml,
	gtk/tmpl/gtkspinbutton.sgml, gtk/tmpl/gtkstatusbar.sgml,
	gtk/tmpl/gtktext.sgml, gtk/tmpl/gtktogglebuttons.sgml,
	gtk/tmpl/gtktreeviewcolumn.sgml, gtk/tmpl/gtktypeutils.sgml: Fix
	numerous misspellings of possessive "its".  (#110027, Doug Quale)

	* gtk/tmpl/gtktypeutils.sgml: Add some deprecation info.

2003-04-01  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkmessagedialog.sgml: Fix formatting of examples.

	* gtk/tmpl/gtkfilesel.sgml: Fix the example.  (#109563)

2003-03-22  Michael Natterer  <mitch@gimp.org>

	* gtk/Makefile.am: copy stock_color_picker_25.png, don't copy
	stock_save_24.png twice.

	* gtk/tmpl/gtkstock.sgml: use it for GTK_STOCK_COLOR_PICKER
	instead of stock_colorselector_24.png.

2003-03-04  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkobject.sgml: Add deprecation notes.

2003-02-24  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreemodel.sgml: Fix self-referential documenation of
	gtk_tree_model_get_iter_root().  (#106720, Keith Sharp)

2003-02-11  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Document that font and fontset declarations
	are ignored.

2003-02-02  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: 
	* gtk/question_index.sgml: # doesn't work here, add links
	manually.  (#104991)

2003-02-01  Matthias Clasen  <maclas@gmx.de>

	* gtk/compiling.sgml: Mention xxx_DISABLE_DEPRECATED and
	GDK_MULTIHEAD_SAFE. 

2003-01-31  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkmain.sgml: Deprecate the gtk_timeout_*, gtk_idle_*
	and gtk_input_* functions.  (#71596)

2003-01-30  Matthias Clasen  <maclas@gmx.de>

	* gtk/running.sgml: s/overwrite/override/g  (#104627, Brian Cameron)

2003-01-21  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Fix integer color range.  (#103992)

2003-01-14  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add new GtkTextIter functions.

2003-01-13  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/gdk-pixbuf.sgml: 
	* gdk-pixbuf/tmpl/animation.sgml: Remove ids which are now
	generated by gtk-doc.
	
2003-01-03  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Update description of priorities for styles
	and bindings.  (#98054)

2002-12-31  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Add a note about gtkrc-2.0 being parsed by
	all 2.x versions.

Fri Dec 20 13:10:06 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/building.sgml: Update directories in download
	locations; add information about fontconfig and Xft2.

2002-12-18  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkcontainer.sgml: Add docs.

2002-12-17  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Link to style properties. 

	* gtk/tmpl/gtkcontainer.sgml: Add bits about child properties.

	* gtk/tmpl/gtkwidget.sgml: Add bits about style properties.

	* gdk/tmpl/pixmaps.sgml:
	* gdk/tmpl/windows.sgml:
	* gdk/tmpl/drawing.sgml: 
	* gdk/tmpl/gcs.sgml: 
	* gtk/tmpl/gtktextview.sgml: 
	* gtk/tmpl/gtkrc.sgml: 
	* gtk/tmpl/gtkiconfactory.sgml: 
	* gtk/tmpl/gtkaccelgroup.sgml: Remove ids which are now
	generated by gtk-doc.

2002-12-16  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkradiomenuitem.sgml: 
	* gtk/tmpl/gtkradiobutton.sgml: Add some information about group
	list handling.  (#101328, James M. Cape)

2002-12-14  Eric Warmenhoven <eric@warmenhoven.org>

	* gtk/framebuffer.sgml: Minor updates for 2.2.0. (#67820)

2002-12-11  Matthias Clasen  <maclas@gmx.de>

	* gtk/text_widget.sgml: Fix some links.

	* gdk/tmpl/pixmaps.sgml: Make "GdkPixmap" a valid id to reduce
	dangling links.

	* gdk/tmpl/windows.sgml: Make "GdkWindow" a valid id to reduce
	dangling links.

	* gdk/tmpl/drawing.sgml: Make "GdkDrawable" a valid id to reduce
	dangling links.

	* gdk/tmpl/gcs.sgml: Make "GdkGC" a valid id to reduce dangling links.

2002-12-10  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktextview.sgml: Add docs.

	* gtk/tree_widget.sgml: Fix some links.

	* gtk/tmpl/gtkwindow.sgml: Add docs.

	* gtk/tmpl/gtkeditable.sgml: Document GtkEditable as an interface,
	not as an abstract base class.

	* gtk/gtk-docs.sgml: Move GtkEditable from "Abstract Base Classes"
	to "Numeric/Text Data Entry".

2002-12-09  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/gdk-pixbuf-loader.sgml: Add docs.

2002-12-08  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkbbox.sgml: 
	* gtk/tmpl/gtkcontainer.sgml: 
	* gtk/tmpl/gtksignal.sgml: Add deprecation info.

	* gdk-pixbuf/tmpl/module_interface.sgml: Add docs.	

2002-12-06  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/x_interaction.sgml: 
	* gdk/tmpl/gdkscreen.sgml: 
	* gdk/tmpl/gdkdisplaymanager.sgml: 
	* gdk/tmpl/gdkdisplay.sgml: 
	* gtk/tmpl/gtkstock.sgml: 
	* gtk/tmpl/gtkwidget.sgml: 
	* gtk/tmpl/gtkmain.sgml: 
	* gtk/tmpl/gtkcolorsel.sgml: 
	* gtk/tmpl/gtkaccelgroup.sgml: 
	* gdk-pixbuf/tmpl/module_interface.sgml: Add "Since" information.

	* gtk/gtk-sections.txt: Replace gtk_list_store_move by
	_move_before and _move_after.

2002-11-29  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkalignment.sgml: 
	* gtk/tmpl/gtkadjustment.sgml: 
	* gtk/tmpl/gtkaccellabel.sgml: 
	* gtk/tmpl/gtkoldeditable.sgml: 
	* gtk/tmpl/gtkwidget.sgml: 
	* gtk/tmpl/gtkrange.sgml: 
	* gtk/tmpl/gtkeditable.sgml: 
	* gtk/tmpl/gtkwindowgroup.sgml:
	* gtk/tmpl/gtkwindow.sgml: 
	* gtk/tmpl/gtktypeutils.sgml: 
	* gtk/tmpl/gtksignal.sgml: 
	* gtk/tmpl/gtkfeatures.sgml: 
	* gtk/tmpl/gtkstyle.sgml: 
	* gtk/tmpl/gtkselection.sgml: 
	* gtk/tmpl/gtkgc.sgml: 
	* gtk/tmpl/gtkenums.sgml: 
	* gtk/tmpl/gtkbindings.sgml: 
	* gtk/tmpl/gtksettings.sgml: 
	* gtk/tmpl/gtkdnd.sgml: 
	* gtk/tmpl/gtkclipboard.sgml: 
	* gtk/tmpl/gtkaccelgroup.sgml: 
	* gtk/tmpl/gtkaccelmap.sgml: 
	Minor tweaks and completions of shortdescs.
	
	* gdk/tmpl/rgb.sgml: 
	* gdk/tmpl/gcs.sgml: Minor tweaks.

	* gdk/tmpl/gdkdisplaymanager.sgml: Add some docs.

2002-11-27  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Replace gtk_tree_store_move by
	_move_before and _move_after.

2002-11-26  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/threads.sgml: Add hint about calling gdk_flush() before
	gdk_threads_leave().  (#70665, wording suggested by Owen Taylor)

2002-11-23  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/x_interaction.sgml: 
	* gdk/tmpl/pango_interaction.sgml: 
	* gdk/tmpl/input_devices.sgml: 
	* gdk/tmpl/input.sgml: 
	* gdk/tmpl/threads.sgml: 
	* gdk/tmpl/properties.sgml: 
	* gdk/tmpl/dnd.sgml: 
	* gdk/tmpl/selections.sgml: 
	* gdk/tmpl/keys.sgml: 	
	* gdk/tmpl/event_structs.sgml: 
	* gdk/tmpl/events.sgml: 
	* gdk/tmpl/windows.sgml: 
	* gdk/tmpl/cursors.sgml: 
	* gdk/tmpl/fonts.sgml: 
	* gdk/tmpl/colors.sgml: 
	* gdk/tmpl/pixbufs.sgml: 
	* gdk/tmpl/images.sgml: 
	* gdk/tmpl/pixmaps.sgml: 
	* gdk/tmpl/drawing.sgml: 
	* gdk/tmpl/regions.sgml: 
	* gdk/tmpl/gdkdisplaymanager.sgml: 
	* gdk/tmpl/gdkscreen.sgml: 
	* gdk/tmpl/gdkdisplay.sgml: 
	* gdk/tmpl/general.sgml:
	Add missing short descriptions, standardize them to start with
	a capital and end without a period. Also remove periods from
	titles of examples.

2002-11-22  Yanko Kaneti  <yaneti@declera.com>

	* gtk/tmpl/gtkliststore.sgml: Fixup a typo to massage the build.

2002-11-21  Matthias Clasen  <maclas@gmx.de>

	* gdk/Makefile.am (extra_files): 
	* gdk-pixbuf/Makefile.am (extra_files): 
	* gtk/Makefile.am (extra_files): Add version.xml.in.

	* gdk/Makefile.am (content_files): 
	* gdk-pixbuf/Makefile.am (content_files): 
	* gtk/Makefile.am (content_files): Add version.xml.

	* gdk/version.xml.in: 
	* gdk-pixbuf/version.xml.in: 
	* gtk/version.xml.in: New files to let configure dump the version in.

	* gdk/gdk-docs.sgml:
	* gdk-pixbuf/gdk-pixbuf.sgml: 
	* gtk/gtk-docs.sgml: Add version information.

 	* gtk/tmpl/gtkcombo.sgml: Fix typo in example code.  (#99078)

Sun Nov 17 15:42:08 2002  Jonathan Blandford  <jrb@gnome.org>

	* gtk/tmpl/gtkliststore.sgml: add more to the docs.

2002-11-10  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: gdk_display_open_default_libgtk_only
	and gdk_notify_startup_complete.

	* gtk/gtk-sections.txt: Add gtk_window_set_auto_startup_notification.

2002-11-07  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk.types: Add gdk_display_manager_get_type.

	* gdk/gdk-docs.sgml: Add displaymanager section.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Don't mark GdkPixbufLoader
	as private, since that prevents its signals from being documented.

Sun Nov  3 13:23:51 2002  Jonathan Blandford  <jrb@gnome.org>

	* gtk/tmpl/gtkcellrenderer.sgml: more docs.

Sat Nov  2 12:46:16 2002  Owen Taylor  <otaylor@redhat.com>

	* gdk-pixbuf/Makefile.am: Remove rules for generation
	of version.xml, which was causing make to always
	rebuild the HTML file, and didn't seem to be used.

	* gtk/tmpl/gtkliststore.sgml: SGML fixes.

Sat Nov  2 08:41:47 2002  Jonathan Blandford  <jrb@gnome.org>

	* gtk/tmpl/gtktreestore.sgml: clean up the wording.

	* gtk/tmpl/gtkliststore.sgml: Add an example and clean up the
	wording.

2002-11-01  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/fonts.sgml: 
	* gdk/tmpl/drawing.sgml: More docs moved inline.

	* gtk/tmpl/gtkfilesel.sgml: The label is "Folders" now, not
	"Directories".  (#97224, Vitaly Tishkov)

2002-10-29  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Fix a link. Add (minimal) docs for setting
	style properties from rc files. More needed !!

Wed Oct 30 16:50:42 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/running.sgml: Document --screen.

2002-10-24  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/dnd.sgml: 
	* gdk/tmpl/cursors.sgml: More docs moved inline.

2002-10-24  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/colors.sgml: Some docs moved inline.

2002-10-22  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/gdkdisplay.sgml: Document GdkDisplayPointerHooks.

	* gdk/tmpl/x_interaction.sgml: Some docs moved inline.

2002-10-20  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/Makefile.am (SCANOBJ_FILES): 
	* gtk/Makefile.am (SCANOBJ_FILES): 
	* gdk/Makefile.am (SCANOBJ_FILES): Add $(DOC_MODULE).prerequisites.

Fri Oct 18 15:13:24 2002  Owen Taylor  <otaylor@redhat.com>

	* gdk/tmpl/event_structs.sgml: Update the docs for
	the event->key.string to say that @string is deprecated.

Mon Oct 14 19:34:26 2002  Owen Taylor  <otaylor@redhat.com>

	* gdk/Makefile.am (content_files)
	  gdk-pixbuf/Makefile.am (content_files): Add some missing
	files.

Mon Oct 14 19:16:16 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Update.

	* gdk/tmpl/images.sgml gtk/tmpl/gtkmain.sgml 
	gtk/tmpl/gtkselection.sgml: Remove docs that were moved
	the the C files.

2002-10-14  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/Makefile.am (dist-hook): 
	* gdk/Makefile.am (dist-hook): 
	* gtk/Makefile.am (dist-hook): Dist the xml/*.xml, not
	sgml/*.sgml.  (#95678, Owen Taylor)

2002-10-14  Matthias Clasen  <maclas@gmx.de>

	* gtk/Makefile.am (SCANOBJ_FILES): 
	* gdk-pixbuf/Makefile.am (SCANOBJ_FILES): 
	* gdk/Makefile.am (SCANOBJ_FILES): Add $(DOC_MODULE).interfaces.

2002-10-11  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkimagemenuitem.sgml: Add a bit.

	* gtk/tmpl/gtkimage.sgml: Fix example.

	* gtk/tmpl/gtkrc.sgml: Spelling fixes.

	* gdk-pixbuf/tmpl/refcounting.sgml: Remove documentation for
	non-longer-present last-unref hook.

	* gtk/tmpl/gtkfilesel.sgml: s/GtkCList/GtkTreeView/.

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add some missing symbols.

	* gdk/gdk-sections.txt: Add some missing symbols.

	* gdk/Makefile.am (IGNORE_HFILES): Add gdkintl.h and gdkmarshalers.h.

	* gtk/gtk-sections.txt: Add some missing symbols.

2002-10-04  Matthias Clasen  <maclas@gmx.de>

	* gtk/running.sgml: Document GDK_PIXBUF_MODULE_FILE.

	* gdk-pixbuf/tmpl/module_interface.sgml: Some information for
	module writers.

2002-08-12  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Remove gdk_screen_close, add a section
	for GdkDisplayManager, add gdk_visual_get_screen and
	gdk_colormap_get_screen. 
	
2002-08-07  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Remove gtk_style_get_font_for_display.

Mon Jul 29 22:36:06 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkfilesel.sgml: Fix up the example program
	a bit. (#88814, Johnson Wong)

2002-07-16  Sven Neumann  <sven@gimp.org>

	* gdk/tmpl/rgb.sgml: fixed the example code (return TRUE from the
	expose_event handler).

2002-07-07  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt, 
	gdk-pixbuf/tmpl/gdk-pixbuf-loader.sgml,
	gdk-pixbuf/tmpl/module_interface.sgml: Updates for
	load-at-size functionality.

Tue Jun 18 17:02:48 2002  Owen Taylor  <otaylor@redhat.com>

	* gdk/gdk-sections.txt: Fix for cursor screen => display
	change.

2002-06-03  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkprogress.sgml: 
	* gtk/tmpl/gtkscale.sgml: 
	* gtk/tmpl/gtktreemodel.sgml: 
	* gtk/tmpl/gtkimage.sgml: 
	* gtk/tmpl/gtksignal.sgml: 
	* gtk/tmpl/gtkrc.sgml: 
	* gtk/gtk-docs.sgml: 
	* gdk/gdk-docs.sgml: 
	* gdk/tmpl/threads.sgml: 
	* gdk/tmpl/cursors.sgml: 
	* gdk/tmpl/rgb.sgml: Replace homegrown "nbsp", "hash" and
	"percent" entities by standard ISO entities "nbsp", "num" and
	"percnt".

	* gtk/text_widget.sgml: Fix a link.

2002-05-30  Matthias Clasen  <maclas@gmx.de>

	Make stock icons appear again (patch by Gediminas Paulauskas):
	
	* gtk/Makefile.am (HTML_IMAGES): Add stock_broken_image_24.png

	* gtk/tmpl/gtkstock.sgml: Fix icon filenames.	

2002-05-29  Matthias Clasen  <maclas@gmx.de>

	* gtk/*, gdk/*, gdk-pixbuf/*: Create XML, not SGML.
	
2002-05-28  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/*: Remove property documentation which comes from the
	source now.

	* gtk/building.sgml: Remove traces of gxi.

2002-05-05  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Add gtk_widget_class_find_style_property, 
	gtk_widget_class_list_style_properties and
	gtk_style_get_font_for_display. 

2002-05-03  Matthias Clasen  <maclas@gmx.de>

 	* gdk/gdk-sections.txt: Remove gdk_screen_use_virtual_screen.

	* gdk/tmpl/gdkscreen.sgml: Updates.

	* gdk/tmpl/gdkdisplay.sgml: Document GdkDisplay.

	* gdk/tmpl/x_interaction.sgml: Document GDK_DISPLAY_XDISPLAY,
	GDK_SCREEN_XDISPLAY, GDK_SCREEN_XSCREEN, GDK_SCREEN_XNUMBER,
	gdk_font_lookup_for_display.

	* gdk/Makefile.am (GTKDOC_CFLAGS, GTKDOC_LIBS): set these. 

	* gdk/gdk.types: Add types derived from GObject, so that they get
	an object hierarchy section.

2002-05-01  Matthias Clasen  <maclas@gmx.de>

	* gdk/gdk-sections.txt: Move GdkScreen struct to the GdkScreen
	section. 

	* gdk/tmpl/gdkscreen.sgml: 
	* gdk/tmpl/gdkdisplay.sgml: Typo and markup fixes.

	* gdk/gdk-docs.sgml: Reorder display and screen sections.

	* gdk/multihead.sgml: Remove references to GdkDisplayManager, typo 
	and markup fixes.

Tue Apr 30 14:16:12 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Update for multihead.

Tue Apr 30 12:26:31 2002  Owen Taylor  <otaylor@redhat.com>

	* gdk-sections.txt: Update for multihead.

	* multihead.sgml gtk-docs.sgml: Add overview of
	multihead from multihead branch.

	* tmpl/gdkdisplay.sgml tmpl/gdkscreen.sgml: New
	sections from multihead branch.

2002-04-30  Havoc Pennington  <hp@redhat.com>

	* gtk/other_software.sgml: half-finished docs on merging GTK with
	existing hunks of code (event loop integration, using threads
	vs. processes, blah blah)

Thu Apr 25 22:37:58 2002  Owen Taylor  <otaylor@redhat.com>

	* gdk/tmpl/{events,input_devices,region,x_interaction}.sgml:
	Fix some docs duplicated between templates and inline.

2002-04-24  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Remove GTK_OBJECT_CONNECTED.

	* gtk/tmpl/gtksocket.sgml: Formatting fix.

	* gdk-pixbuf/tmpl/gdk-pixbuf-loader.sgml: Updates.  (#79001)

2002-04-23  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtksocket.sgml: Add link to XEmbed draft.  (#67818)

	* gtk/tmpl/gtkdrawingarea.sgml: Fix a typo.

	* gtk/text_widget.sgml: Complete the fix for #79080.

2002-04-22  Matthias Clasen  <maclas@gmx.de>

	* gtk/tree_widget.sgml: Fix typo in "Simple Example".  (#78661)

2002-04-21  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreemodel.sgml: 
	* gtk/tmpl/gtkradiomenuitem.sgml: Fix crossreferences.  (#78392) 

	* gtk/gtk-sections.txt: Add GtkWidgetClass.  (#78392)

	* gtk/tmpl/gtkwidget.sgml: Rewrite docs for
	gtk_widget_reset_rc_styles.  (#75588)

	* gdk/tmpl/properties.sgml: Fix gdk_property_change docs. (#72312)

	* gtk/text_widget.sgml: Fix misleading example.  (#79080)
	
	* gtk/tmpl/gtkdialog.sgml: Fix stock id in example.  (#74439)

2002-04-18  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/rgb.sgml:
	* gdk/tmpl/general.sgml:
	* gtk/tmpl/gtktogglebutton.sgml:
	* gtk/tmpl/gtkaccellabel.sgml:
	* gtk/tmpl/gtkradiobutton.sgml:
	* gtk/tmpl/gtktreemodel.sgml:
	* gtk/tmpl/gtkwidget.sgml:
	* gtk/tmpl/gtkimage.sgml:
	* gtk/tmpl/gtktooltips.sgml:
	* gtk/tmpl/gtksignal.sgml:
	* gtk/tmpl/gtkcombo.sgml:
	* gtk/tmpl/gtkdnd.sgml:
	* gtk/tmpl/gtksocket.sgml:
	* gtk/tmpl/gtkdrawingarea.sgml:
	* gtk/tmpl/gtkobject.sgml:
	* gtk/tmpl/gtkpaned.sgml:
	* gtk/tmpl/gtkmain.sgml: s/<!>/<!-- -->/g throughout the
	documentation to bring the produced Docbook closer to XML.

Tue Mar 26 15:41:49 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/building.sgml: Add a mention of running ldconfig.
	(#76126, Bill Nayland.)

Mon Mar 25 11:31:41 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tree_widget.sgml: fix bugs in the code.

2002-03-20  Cody Russell  <cody@jhu.edu>

	* gtk/tree_widget.sgml: Much expanded overview of the tree.

Tue Mar 12 00:29:31 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/question_index.sgml: new FAQ.

	* gtk/tmpl/gtktreemodel.sgml: clean up example

2002-03-12  Matthias Clasen  <maclas@gmx.de>

	* gdk/tmpl/windows.sgml: Document GdkScreen.

	* gtk/gtk-sections.txt: Move a few Class structs to Standard sections.

2002-03-11  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtktreemodel.sgml, gtk/tmpl/gtkprogress.sgml,
	gtk/tmpl/gtksignal.sgml, gtk/tmpl/gtkimage.sgml: Generate proper
	markup for format strings in examples, also fix an oversight in
	the GtkTreeModel example.  (#74213)

	* gtk/gtk.types: Add interfaces to get docs on their signals.

Sat Mar  9 13:00:38 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtktreemodel.sgml: Lots of docs.

Fri Mar  8 15:14:32 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/building.sgml: List -I/opt/gtk/include not
	-I /opt/gtk/include.

	* gtk/building.sgml: Add a gloss for XIM.

2002-03-07  Matthias Clasen  <maclas@gmx.de>

	* gdk-pixbuf/tmpl/animation.sgml, gdk-pixbuf/tmpl/gdk-pixbuf.sgml,
	gtk/tmpl/gtkrc.sgml, gtk/tmpl/gtktextview.sgml,
	gtk/tmpl/gtkiconfactory.sgml, gtk/tmpl/gtkaccelgroup.sgml: Add
	some ids which are referenced from the object hierarchy.

	* gtk/gtk-docs.sgml: Use parts as top-level division (#61575),
	include gtkaccessible docs.

	* gtk/building.sgml: Some typo and markup fixes.

Thu Mar  7 02:58:16 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtkliststore.sgml: start implementing

	* gtk/question_index.sgml: "I can set with the tree, but not
	get???!?!"

Wed Mar  6 18:11:05 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/resources.sgml: Mention the need to subscribe
	to the GTK+ mailing lists.

        * gtk/building.sgml: Go into much more details about
	building the entire set of GTK+ libraries and about the
	dependencies that are required.

	* gtk/building.sgml: Add docs for --enable-explicit-deps,
	--with-xinput.

Wed Mar  6 14:12:34 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtktreeselection.sgml: docs

	* gtk/tree_widget.sgml: clean up docs

2002-03-05  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-sections.txt: Remove gtk_win32_get_installation_directory.

Tue Mar  5 14:28:28 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/compiling.sgml: Update version numbers in example.

2002-03-04  Matthias Clasen  <maclas@gmx.de>

	* gtk/gtk-docs.sgml: Move GtkOldEditable to the "Deprecated" 
	section.  (#68408)

	* gtk/tmpl/gtktreeview.sgml: Close linkend attribute.  (#73364)

Sun Mar  3 01:36:21 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtktreeviewcolumn.sgml: Write documentation
	* gtk/tmpl/gtktreeview.sgml: Write documentation

Sat Mar  2 15:46:29 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkentry.sgml: Move a couple of function
	docs into the C file.

Fri Mar  1 10:35:15 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/changes-2.0.sgml: Add note about gtk_notebook_reorder_child().

Tue Feb 26 22:01:59 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkbox.sgml: Fix docs to correspond to the code -
	negative @position indicates the end of the list.

2002-02-26  Matthias Clasen  <maclas@gmx.de>

	Fixes for #72478:
	
	* gtk/tmpl/gtkprogressbar.sgml: Add note about new GtkProgressBar
	API to introduction. 

	* gtk/gtk-sections.txt: Reorder GtkProgressBar functions to move 
	undeprecated API to top.

Sat Feb 23 23:39:14 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtktreemodel.sgml: Document gtk_tree_path_new_root(),
	gtk_tree_model_get_iter_root() as compatibility macros.

	* gtk/gtk-sections.txt: Updates.

2002-02-23  Anders Carlsson  <andersca@gnu.org>

	* gtk/Makefile.am (HTML_IMAGES): Rename strikeout to 
	strikethrough.

2002-02-22  Anders Carlsson  <andersca@gnu.org>

	* gtk/Makefile.am (HTML_IMAGES): Update for name changes.

2002-02-22  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtksignal.sgml, gtk/tmpl/gtkimage.sgml: s/%d/%%d/ in
	examples.  (#71479)

	* gtk/tmpl/gtkmenu.sgml: Document gtk_menu_set_active as 
	quasi-private.  (#69788)

	* gtk/tmpl/gtkcalendar.sgml: Document month as zero-based and 
	selected_day as one-based.  (#57169)

Thu Feb 21 12:11:42 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (IGNORE_HFILES): Add gtkkeyhash.h

2002-02-20  Sven Neumann  <sven@gimp.org>

	* gtk/gtk-sections.txt
	* gtk/tmpl/gtktreeviewcolumn.sgml: updated for treeviewcolumn changes.

Mon Feb 18 23:00:52 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/running.sgml: Remove docs for GTK_IM_MODULE_PATH,
	replace docs for GTK_MODULE_PATH with docs for GTK_PATH.

Sun Feb 17 21:33:33 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Updated for filesel changes.

2002-02-05  Matthias Clasen  <maclas@gmx.de>

	* gtk/tmpl/gtkrc.sgml: Update the description of RC file loading
	to match recent code changes. Also document font_name and engine. 

Tue Jan 29 23:41:31 2002  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (content_files): Add x11.sgml.

	* gtk/changes-2.0.sgml: SGML fix.

	* gtk/gtk-sections.txt: Updated.

2002-01-23  Damon Chaplin  <damon@ximian.com>

	* gtk/Makefile.am: added SCANGOBJ_OPTIONS to set the type-init-func
	to pass to gtkdoc-scangobj.

Mon Jan 21 23:39:42 2002  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtkfixed.sgml: change guint16 to gint to reflect
	changes in the code, found by Jody Goldberg <jody@gnome.org>

2002-01-19  Havoc Pennington  <hp@pobox.com>

	* gtk/x11.sgml: add a mostly-empty X11 section

	* gtk/framebuffer.sgml: make title consistent with windows section

	* gtk/tmpl/gtkdrawingarea.sgml: couple of fixes

2002-01-17  Matthias Clasen  <matthiasc@poet.de>

	* gtk/resources.sgml: Tiny markup fix.

2002-01-15  Matthias Clasen  <matthiasc@poet.de>

	* gtk/changes-2.0.sgml: Details about GtkRange and subclasses
	rewrite. (#67730)

2002-01-14  Matthias Clasen  <matthiasc@poet.de>

	* gtk/running.sgml: Add ids to some elements to make them
	addressable as link targets.

2002-01-14  Matthias Clasen  <matthiasc@poet.de>
	
	* gtk/tmpl/gtktooltips.sgml: Minor fixes.

	* gtk/tmpl/gtkrc.sgml: Minor fixes.

2002-01-11  Havoc Pennington  <hp@pobox.com>

	* gtk/running.sgml: sgml fixes

	* gtk/tmpl/gtksignal.sgml: sgml fixes

	* gtk/tmpl/gtklabel.sgml: do the intro section

2002-01-10  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/general.sgml (gdk_set_program_class): Expand.

	* gtk/running.sgml: New file.

	* gtk/building.sgml: Document a few more configure options.

	* gtk/Makefile.am (content_files): Add running.sgml.

	* gtk/gtk-docs.sgml: Include running.sgml, sort H and V 
	variants of widgets to be next to each other.

2002-01-09  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkaccellabel.sgml: Remove duplicate docs.
	
	* gdk-pixbuf/Makefile.am (content_files): Add 
	gdk-pixbuf-from-drawables.sgml. (#68232)
	
	* gtk/tmpl/gtkwidget.sgml: Improve docs for GTK_NO_REPARENT
	and GTK_APP_PAINTABLE. (#68060)

2002-01-08  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkgc.sgml: Improve wording.

	* gtk/tmpl/gtksocket.sgml, gtk/tmpl/gtkplug.sgml: speak of 
	window IDs rather than XIDs.

2002-01-07  Matthias Clasen  <matthiasc@poet.de>
 	
	* gtk/tmpl/gtksocket.sgml: Mention gtk_socket_get_id()
	instead of GTK_WINDOW_XWINDOW().  (#68172)

	* gtk/gtk-sections.txt: Move functions which are documented
	as "private" or "internal" into Private subsections.

	* gtk/tmpl/gtkdnd.sgml, gtk/tmpl/gtkobject.sgml, 
	gtk/tmpl/gtkrc.sgml, gtk/tmpl/gtktooltips.sgml,
	gtk/tmpl/gtkwidget.sgml, gtk/tmpl/gtkclipboard.sgml,
	gtk/tmpl/gtkstyle.sgml, gtk/tmpl/gtkselection.sgml,
	gtk/tmpl/gtkfeatures.sgml: Minor markup fixes.

	* gtk/tmpl/gtksignal.sgml: Add link to GLib signal docs.

	* gtk/tmpl/gtkpreview.sgml, gtk/tmpl/gtktext.sgml,
	gtk/tmpl/gtktree.sgml: Remove "deprecated" from short desc.

	* gtk/tmpl/gtkrc.sgml: Correct names of default RC files. 

2002-01-06  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtktypeutils.sgml: Replace GTK_NO_CHECK_CASTS by 
	G_DISABLE_CAST_CHECKS, fix some markup and add stuff.

	* gtk/tmpl/gtkaccelgroup.sgml, gtk/tmpl/gtkwidget.sgml: Additions.

	* gtk/gtk-sections.txt: Make gtk_accel_group_get_type private.

2002-01-06  Havoc Pennington  <hp@pobox.com>

	* gtk/question_index.sgml: a few more questions I thought of

2002-01-06  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-docs.sgml: remove gtk- prefix from TreeView and a few
	other entities, more consistent anyway (I thought this would make
	links to "GtkTreeView" etc. go to the ref page, not the struct,
	but it wasn't the problem, the issue is the way gtkdoc-mkdb
	decides what's an object, see CheckIsObject() routine)

	* gtk/changes-1.2.sgml: sgml fixes to get rid of warnings

	* gtk/changes-2.0.sgml: ditto
	
	* gtk/question_index.sgml: add some questions

2002-01-04  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkwidget.sgml: Additions.

2002-01-04  Matthias Clasen  <matthiasc@poet.de>

	* gtk/changes-1.2.sgml, gtk/changes-2.0.sgml: SGML fixes.

	* gtk/tmpl/gtkobject.sgml: Document GTK_IN_DESTRUCTION.
	
	* gtk/tmpl/gtkwidget.sgml: Additions.

2002-01-04  Havoc Pennington  <hp@pobox.com>

	* gtk/question_index.sgml: add question to help people find
	gtk_widget_set_sensitive() if they're used to another term for 
	that.
	
2002-01-03  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtkdrawingarea.sgml: add mention of
	gtk_widget_add_events() and GTK_CAN_FOCUS

2002-01-04  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtktextview.sgml: Small additions.

	* gtk/tmpl/gtksignal.sgml: Explain what to use instead.

	* gtk/question_index.sgml, gtk/text_widget.sgml, gtk/tree_widget.sgml,
	gtk/changes-1.2.sgml, gtk/changes-2.0.sgml,
	gtk/framebuffer.sgml: SGML fixes and additions.

	* gtk/tmpl/gtksignal.sgml, gtk/tmpl/gtkdialog.sgml,
	gtk/tmpl/gtkeditable.sgml, gtk/tmpl/gtkfilesel.sgml,
	gtk/tmpl/gtkmain.sgml, gtk/tmpl/gtkmenu.sgml,
	gtk/tmpl/gtkmessagedialog.sgml, gtk/tmpl/gtkrc.sgml,
	gtk/tmpl/gtktogglebutton.sgml, gtk/tmpl/gtkspinbutton.sgml,
        gtk/tmpl/gtkpaned.sgml, gtk/tmpl/gtkwindow.sgml:
	Replace references to deprecated functions.

2002-01-03  Matthias Clasen  <matthiasc@poet.de>

	* gtk/changes-1.2.sgml, gtk/changes-2.0.sgml, 
	gtk/framebuffer.sgml: Add markup.

2002-01-01  Havoc Pennington  <hp@pobox.com>

	* gtk/framebuffer.sgml: move README.linux-fb in here

	* gtk/tmpl/gtkpreview.sgml: explain what to use instead

	* gtk/tmpl/gtkseparator.sgml: typo fix

	* gtk/tmpl/gtkstock.sgml: add some overview docs

	* gtk/Makefile.am (content_files): add new files

	* gtk/changes-1.2.sgml: move Changes-1.2.txt in here

	* gtk/changes-2.0.sgml: move Changes-2.0.txt in here

	* gdk/tmpl/threads.sgml: mention gdk_threads_init() in the
	overview docs, copy in the examples from the FAQ

	* gtk/gtk-docs.sgml: change DTD to 3.1, and add
	question_index.sgml and changes-1.2, changes-2.0

	* gtk/tmpl/gtkdrawingarea.sgml: fixups to reflect 2.0 changes

	* gtk/question_index.sgml: new section with question-based 
	index of the manual

	* gtk/text_widget.sgml: fix some cross-references

2002-01-01  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtktexttag.sgml: docs updates, mention that invisible 
	property isn't implemented

	* gtk/text_widget.sgml: small tweaks

2001-12-30  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkbbox.sgml: Remove references to nonexisting functions.
	
	* gtk/tmpl/gtkcolorseldlg.sgml, gtk/tmpl/gtkdrawingarea.sgml,
	gtk/tmpl/gtkmain.sgml, gtk/tmpl/gtkhseparator.sgml, 
	gtk/tmpl/gtktree.sgml, gtk/tmpl/gtkradiobutton.sgml,
	gtk/tmpl/gtkradiomenuitem.sgml: 
	Replace references to deprecated functions.

	* gtk/tmpl/gtkhbbox.sgml,gtk/tmpl/gtkvbbox.sgml: Minor fixes.

2001-12-30  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkpixmap.sgml, gtk/tmpl/gtkscale.sgml,
	gtk/tmpl/gtkmain.sgml, gtk/tmpl/gtkimcontextsimple.sgml: Additions.

2001-12-28  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/properties.sgml, gdk/tmpl/selections.sgml: Additions.

2001-12-23  Matthias Clasen  <matthiasc@poet.de>

	* gdk-pixbuf/porting-from-imlib.sgml: GDK instead of Gdk.

	* gdk-pixbuf/tmpl/gdk-pixbuf-xlib-init.sgml: Replace references to
	deprecated functions.

	* gdk/tmpl/event_structs.sgml, gdk/tmpl/gcs.sgml,
	gdk/tmpl/images.sgml: Replace references to deprecated functions.

2001-12-28	Vitaly Tishkov <tvv@sparc.spb.su>

	* gtkwindow.sgml: additional fix for #59314 ('<programlisting>' is
	changed to '<literal>' in docs for gtk_window_set_policy ())

Sat Dec 22 18:18:07 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (IGNORE_HFILES): Add gtktextutil.h

	* gtk/text_widget.sgml (linkend): SGML fixes.

	* gtk/gtk-sections.txt: Update

	* gdk/gdk-sections.txt: Update.

	* gdk/tmpl/cursors.sgml: SGML fix.

	* gdk/gdk-docs.sgml: Add PNG handling magic.

2001-12-21  Matthias Clasen  <matthiasc@poet.de>
		
	* gtk/text_widget.sgml: More precise wording. (#63388)

	* gtk/tmpl/gtksignal.sgml (GTK_SIGNAL_OFFSET): Add docs.

	* gtk/resources.sgml: Fix markup of mail URLs.
	
	* gtk/tmpl/gtkpaned.sgml, gtk/tmpl/gtkobject.sgml: Markup fixes.

	* gtk/tmpl/gtktoolbar.sgml (gtk_toolbar_{prepend,append}_element):
	Expand documentation. (#60471)

	* gtk/tmpl/gtkmain.sgml: Remove misleading information about 
	gtk_set_locale().  (#65758)

2001-12-18  Anders Carlsson  <andersca@gnu.org>

	* gtk/tmpl/gtkdrawingarea.sgml: Change GdkWidget to
	GtkWidget. Fixes #67162.

2001-12-17  Matthias Clasen  <matthiasc@poet.de>

	* gdk-pixbuf/tmpl/creating.sgml, 
	gdk-pixbuf/tmpl/gdk-pixbuf-xlib-from-drawables.sgml,
	gdk-pixbuf/tmpl/gdk-pixbuf-xlib-init.sgml,
	gdk-pixbuf/tmpl/gdk-pixbuf-xlib-rendering.sgml,
	gdk-pixbuf/tmpl/refcounting.sgml: Markup fixes.

	* gtk/building.sgml, gtk/resources.sgml: Markup fixes.

	* gtk/gtk.types: Remove gtk_text_layout_get_type(). (???)

	* gdk/tmpl/general.sgml: Use <envar>, not <envvar>.

2001-12-16  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/windows.sgml: Document GDK_RELEASE_MASK.

2001-12-16  Havoc Pennington  <hp@pobox.com>

	* gdk-pixbuf/gdk-pixbuf-sections.txt: put _simple variants at the
	top of the docs

2001-12-16  Havoc Pennington  <hp@pobox.com>

	* gdk-pixbuf/tmpl/scaling.sgml: small doc tweaks, specifically
	some "just do XYZ" advice next to the InterpMode technojargon.

2001-12-16  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/windows.sgml: Add something about GdkModifierType.

2001-12-13  Matthias Clasen  <matthiasc@poet.de>
	
	* gdk-pixbuf/tmpl/scaling.sgml,	gdk/tmpl/fonts.sgml, 
	gdk/tmpl/general.sgml, gdk/tmpl/rgb.sgml, gdk/tmpl/visuals.sgml,
	gdk/tmpl/windows.sgml, gtk/gtk-docs.sgml, gtk/tmpl/gtkaccellabel.sgml,
	gtk/tmpl/gtkcombo.sgml, gtk/tmpl/gtkdialog.sgml, 
	gtk/tmpl/gtkdrawingarea.sgml, gtk/tmpl/gtkeditable.sgml, 
	gtk/tmpl/gtkfilesel.sgml, gtk/tmpl/gtkfontseldlg.sgml,
	gtk/tmpl/gtkimage.sgml, gtk/tmpl/gtkmain.sgml, gtk/tmpl/gtkmenu.sgml,
	gtk/tmpl/gtkmessagedialog.sgml, gtk/tmpl/gtkobject.sgml,
	gtk/tmpl/gtkpaned.sgml, gtk/tmpl/gtkradiobutton.sgml, 
	gtk/tmpl/gtkrc.sgml, gtk/tmpl/gtkscale.sgml, gtk/tmpl/gtksignal.sgml, 
	gtk/tmpl/gtksocket.sgml, gtk/tmpl/gtkspinbutton.sgml,
	gtk/tmpl/gtktogglebutton.sgml, gtk/tmpl/gtksignal.sgml, 
	gtk/tmpl/gtktooltips.sgml, gtk/tmpl/gtkwindow.sgml,
	gdk/tmpl/regions.sgml, gtk/tmpl/gtkfontsel.sgml,
	gtk/tmpl/gtkpixmap.sgml, gtk/tmpl/gtkprogress.sgml,
	gtk/tmpl/gtkselection.sgml, gtk/tmpl/gtktable.sgml,
	gtk/tmpl/gtktipsquery.sgml: Markup fixes (mainly examples).

2001-12-12  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtklist.sgml: Markup fixes.

	* gdk/tmpl/selections.sgml, gtk/tmpl/gtksocket.sgml:
	s/succesful/successful/g. 

	* gtk/gtk-sections.txt, gtk/tmpl/gtkstyle.sgml: Remove
	GTK_STYLE_NUM_STYLECOLORS. (#66467)

2001-12-12  Havoc Pennington  <hp@pobox.com>

	* gtk/text_widget.sgml: add another example

2001-12-09  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkmain.sgml: Markup fixes.

	* gtk/gtk-docs.sgml: Add an empty entity to suppress 
	crossreferencing in programlistings.

2001-12-08  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkclipboard.sgml: Fix references to 
	get_clipboard_set_with_owner(). (#66424)

2001-12-07  Matthias Clasen  <matthiasc@poet.de>
	
	* gtk/tmpl/gtktypeutils.sgml, gtk/tmpl/gtkobject.sgml,
	gtk/tmpl/gtkstyle.sgml: Add docs.

2001-12-06  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtklabel.sgml: Remove redundant docs. (#66383)

	* gtk/tree_widget.sgml: Typo fix. (#66256)

	* gdk-pixbuf/Makefile.am (SCAN_OPTIONS): Add --deprecated-guards.
	
	* gtk/tmpl/gtktext.sgml, gtk/tmpl/gtktree.sgml, 
	gtk/tmpl/gtktreeitem.sgml: Updates.

2001-12-04  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkwidget.sgml: Updates.
	* gtk/Makefile.am (IGNORE_HFILES): Remove gtktextchild.h.

2001-12-03  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/input_devices.sgml, 
	gdk/gdk-sections.txt, gdk/tmpl/windows.sgml: Updates.

2001-12-02  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/dnd.sgml: Updates.

2001-11-30  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/keys.sgml: Updates.

2001-12-01  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtkoptionmenu.sgml: add brief explanation of how to use
	GtkOptionMenu

2001-11-30  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/colors.sgml, gdk/tmpl/pixmaps.sgml, gdk/tmpl/dnd.sgml,
	gdk/tmpl/gcs.sgml: Document ref and unref functions as deprecated.

2001-11-29  Matthias Clasen  <matthiasc@poet.de>

	* gtk/gtk-sections.sgml: Add GtkTextChildAnchor.

	* gdk/tmpl/dnd.sgml: Updates.

	* gdk/tmpl/pango_interaction.sgml: Document GdkPangoAttrEmbossed
	and GdkPangoAttrStipple.
	
2001-11-28  Matthias Clasen  <matthiasc@poet.de>
	
	* gtk/tmpl/gtkwindow.sgml: Document gtk_window_position.

	* gdk/tmpl/dnd.sgml: Document GdkDragProtocol and GdkDragContext.

	* gdk/tmpl/events.sgml: Document gdk_setting_get.

	* gdk/tmpl/fonts.sgml: Document gdk_font_full_name_get and
	gdk_font_full_name_free.

	* gdk/tmpl/windows.sgml: Document gdk_window_register_dnd.

2001-11-28  Matthias Clasen  <matthiasc@poet.de>
	
	* gdk/tmpl/windows.sgml, gdk/tmpl/general.sgml,
	gdk/tmpl/pixmaps.sgml, gdk/tmpl/drawing.sgml,
	gdk/tmpl/gcs.sgml: Updates. 

	* gdk/tmpl/cursors.sgml: Document GdkCursor and standard cursors.

2001-11-23  Matthias Clasen  <matthiasc@poet.de>

        * gdk/tmpl/drawing.sgml: Minor markup fixes.

Fri Nov 23 15:12:07 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (content_files): Add windows.sgml

	* gdk/tmpl/cursors.sgml: Revert last diff to get things to
	build.

2001-11-22  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/event_structs.sgml: Add better explanation of proximity
	events. 

	* gdk/tmpl/cursors.sgml: Document GdkCursor and standard cursors.

	* gdk/images/*.png: The standard X cursors as pngs.

	* gdk/Makefile.am (HTML_IMAGES): Add the images.

Wed Nov 21 15:57:29 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Updates

	* gtk/tmpl/gtkstock.sgml: Close end tags.

	* gtk/gtk.types: Remove interface types which gtk-doc
	can't handle currently.

	* gtk/tmpl/gtknotebook.sgml: Fix some garbage in file.

	* gdk/tmpl/x_interaction.sgml: Fix SGML errors.

	* gdk/gdk-overrides.txt gdk/gdk-sections.txt: Updates. 

2001-11-20  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtkwindow.sgml: fix docs for gtk_window_set_policy() to
	reflect existence of gtk_window_set_resizable()

2001-11-20  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/event_structs.sgml: Small fixes.

2001-11-16  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/event_structs.sgml: Updates. 

	* gdk/tmpl/windows.sgml: Document GdkFilterFunction, GdkFilterReturn
	and GdkXEvent, add markup.

2001-11-15  Matthias Clasen  <matthiasc@poet.de>

	* gtk/gtk-docs.sgml: Go back to DocBook 3.0 to get the
	autobuilder on developer.gnome.org back to work, but add
	the png notation for the stock icons.

2001-11-14  Matthias Clasen  <matthiasc@poet.de>

	* gdk/Makefile.am (MKDB_OPTIONS), 
	gdk-pixbuf/Makefile.am (MKDB_OPTIONS),
	gtk/Makefile.am (MKDB_OPTIONS): Add --sgml-mode.

	* gdk-pixbuf/tmpl/file-saving.sgml,
	gdk-pixbuf/tmpl/module_interface.sgml,
	gdk-pixbuf/tmpl/gdk-pixbuf-xlib-rgb.sgml: Consistent short descriptions.

	* gtk/tmpl/gtkprogressbar.sgml: Remove duplicate docs. (#64469)
	
	* gtk/gtk-sections.txt: Add missing TITLEs (#64459, #64568)

	* gtk/tmpl/gtkadjustment.sgml: Typo fix. (#64448)

Mon Nov 12 23:06:38 2001  Tim Janik  <timj@gtk.org>

	* added gtkaccelmap.sgml. other updates.

2001-11-11  Matthias Clasen  <matthiasc@poet.de>

	* gdk-pixbuf/gdk-pixbuf-rendering.sgml, 
	gdk-pixbuf/gdk-pixbuf-from-drawables.sgml: new files explaining
	where the code for rendering pixbufs lives. (#61151) 
	
	* gdk-pixbuf/gdk-pixbuf.sgml: Use the new files.

	* gtk/tmpl/gtkaccellabel.sgml, gtk/tmpl/gtkcombo.sgml,
	gtk/tmpl/gtkentry.sgml, gtk/tmpl/gtkhscrollbar.sgml,
	gtk/tmpl/gtkvscrollbar.sgml, gtk/tmpl/gtktoolbar.sgml,
	gtk/tmpl/gtkdialog.sgml, gtk/tmpl/gtkstatusbar.sgml: 
	Mass fixing of trivial doc bugs. (#55579, #56760, #58769, #55918,
	#64154, #60422, #54697)

2001-11-10  Matthias Clasen  <matthiasc@poet.de>

	* gtk/tmpl/gtkpaned.sgml: Document gtk_paned_set_gutter_size
	as noop. (#45802)

	* gtk/tmpl/gtkcolorsel.sgml: Remove stuff duplicating inline
	docs. (#60481)

	* gtk/tmpl/gtkstock.sgml: Document all stock items
	with their stock text. 

	* gtk/tmpl/gtkhseparator.sgml: Small corrections.

	* gdk-pixbuf/tmpl/gdk-pixbuf-loader.sgml: Updates.

2001-11-03  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* gdk-pixbuf/tmpl/refcounting.sgml,
	gdk-pixbuf/porting-from-imlib.sgml, tmpl/creating.sgml:
	gdk_rgb_init() doesn't need to be called anymore. Use
	g_object_(un)_ref instead of gdk_pixbuf_(un)ref.

	* tmpl/module_interface.sgml: Typo fix.

	* gdk-pixbuf/gdk-pixbuf.sgml: Fixed jade complaining about '_' by
	replacing it with '-'. Now builds again.

2001-10-31  Matthias Clasen  <matthiasc@poet.de>

	* gdk-pixbuf/gdk-pixbuf.sgml: include initialization_versions.sgml,
	file-saving.sgml and module_interface.sgml.

	* gdk-pixbuf/tmpl/module_interface.sgml: add short description.

	* gtk/tmpl/gtkarg.sgml, gtk/tmpl/gtkdata.sgml, 
	gtk/tmpl/gtkcellrenderertextpixbuf.sgml: removed, since they described 
	no longer existent stuff and aren't included anymore.

	* gdk/tmpl/color_contexts.sgml, gdk/tmpl/input_contexts.sgml, 
	gdk/tmpl/input_methods.sgml: removed, since they described no longer 
	existent stuff and aren't included anymore.

2001-10-31  Matthias Clasen  <matthiasc@poet.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt,
	gdk-pixbuf/tmpl/animation.sgml, 
	gdk-pixbuf/tmpl/module_interface.sgml: Updates. (#63293)

2001-10-28  Anders Carlsson  <andersca@gnu.org>

	* gtk/tmpl/gtkadjustment.sgml: Update struct member docs
	since they're gdouble now instead of gfloat. Fixes #55699.

2001-10-28  Matthias Clasen  <matthiasc@poet.de>

	* docs/reference/gtk/tmpl/gtkmenuitem.sgml,
	docs/reference/gtk/tmpl/gtkmenu.sgml,
	docs/reference/gtk/tmpl/gtkmenushell.sgml,
	docs/reference/gtk/tmpl/gtkcontainer.sgml,
	docs/reference/gtk/gtk-sections.txt: Updates.

2001-10-28  Anders Carlsson  <andersca@gnu.org>

	* gdk/tmpl/regions.sgml: Remove note about coordinates in GdkPoint
	being 16-bit since they're 32-bit now. Fixes #62681.

2001-10-27  Matthias Clasen  <matthiasc@poet.de>

	* gdk/tmpl/input_devices.sgml: Updates.

	* gtk/tmpl/gtkrc.sgml: Document the special values <none> and
	<parent> for bg_pixmap.

2001-10-27  Anders Carlsson  <andersca@gnu.org>

	* gtk/tmpl/gtkaccellabel.sgml: Clarify that the string
	argument in gtk_accel_label_new most be non-NULL.
	This fixes #54826.

	* gtk/tmpl/gtkentry.sgml: Clarify that a maximum length
	of 0 means infinity. This fixes #58771.

	* gtk/tmpl/gtkhandlebox.sgml: Finish a sentence. 
	This fixes #56702.

	* gtk/tmpl/gtkspinbutton.sgml: Clarify that we're
	returning a spin button in the _new function.
	This fixes #54097.

	* gtk/tmpl/gtktoolbar.sgml: Change docs for 
	gtk_toolbar_append_item to say that it appends an item
	to the end of a toolbar. This fixes #60428.

Fri Oct 26 11:54:53 2001  Owen Taylor  <otaylor@redhat.com>

	* */Makefile.am: Update to install images.

2001-10-27  Anders Carlsson  <andersca@gnu.org>

	* gtk/gtk-sections.txt,
	* gtk/tmpl/gtktreeviewcolumn.sgml: Remove documentation for
	gtk_tree_view_column_cell_event since that function has been
	removed. This fixes #62084.

	* gdk/tmpl/properties.sgml: Change FALSE to TRUE in 
	documentation for gdk_atom_intern, to document the
	correct behavior. This fixes #58798.

	* gtk/gtk-sections.txt: Update GtkStyle since it's now a
	GObject and not a struct. This fixes #55807. 

Thu Oct 18 16:40:00 2001  Jonathan Blandford  <jrb@redhat.com>

	* gtk/gtk-docs.sgml: add GtkCellEditable and GtkTreeModelSort.

Sat Oct 20 18:35:21 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkentry.sgml (Note): Remove note about
	deprecation. (We've standard on G_CONST_RETURN 
	rather than the reverse.) #58768, Vitaly Tishkov.

2001-10-20  jacob berkman  <jacob@ximian.com>

	* gtk/Makefile.am (HTML_IMAGES): get them from
	$(top_srcdir)/gtk/stock-icons/ rather than
	../../../gtk/stock-items/

Fri Oct 19 15:44:52 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am gtk/gtk-sections.txt gtk/gtk-docs.sgml:
	Add gtkimcontextsimple.

2001-10-19  Matthias Clasen   <matthiasc@poet.de>

	* gtk/gtk-docs.sgml: Switch to DocBook 4.1 (for the PNG notation).

	* gtk/Makefile.am, gtk/tmpl/gtkstock.sgml: Add inlinegraphics for
	the stock icons.

2001-10-18  Matthias Clasen   <matthiasc@poet.de>

	* gdk/tmpl/visuals.sgml: Resurrect 1.2 documentation. (#62604)

	* gtk/tmpl/gtkpaned.sgml: Fixes. (#62146)

	* gtk/tmpl/gtkgamma.sgml: Fixes. (#62155)

	* gtk/Makefile.am (IGNORE_HFILES): Add xembed.h (#61929)

	* gdk-pixbuf/gdk-pixbuf.types: Add GdkPixbuf, 
	GdkPixbufAnimation and GdkPixbufAnimationIter. (#62590)

	* gtk/tmpl/gtkscrolledwindow.sgml: Replace GtkCList by
	GtkTreeView in example. (#62200)

2001-10-17  Matthias Clasen   <matthiasc@poet.de>

	* gtk/tmpl/gtkdnd.sgml, gtk/tmpl/gtkclipboard.sgml,
	gdk/tmpl/general.sgml, gdk/tmpl/threads.sgml, 
	gdk/tmpl/x_interaction.sgml: Updates.

2001-10-13  Matthias Clasen   <matthiasc@poet.de>

	* gdk/tmpl/x_interaction.sgml: Update.

2001-10-10  Matthias Clasen   <matthiasc@poet.de>

	* gtk/gtk-sections.txt, gtk/tmpl/gtkspinbutton.sgml,
	gtk/tmpl/gtkseparatormenuitem.sgml, gtk/tmpl/gtknotebook.sgml,
	gtk/tmpl/gtkstatusbar.sgml, gtk/tmpl/gtkradiobutton.sgml,
	gtk/tmpl/gtkradiomenuitem.sgml: Updates.

	* gdk-pixbuf/gdk-pixbuf-sections.txt, 
	gdk-pixbuf/tmpl/gdk-pixbuf.sgml: Follow recent API changes.

2001-10-10  Matthias Clasen   <matthiasc@poet.de>

	* gtk/tmpl/gtkcalendar.sgml, gtk/tmpl/gtkeditable.sgml: Update.

	* gdk-pixbuf/gdk-pixbuf.sgml: Add entity for tmpl/inline.sgml.

	* gdk-pixbuf/tmpl/inline.sgml: Update.

	* gtk/gtk-sections.sgml: Update.

2001-10-08  Matthias Clasen   <matthiasc@poet.de>

	* gdk-pixbuf/gdk-pixbuf-sections.txt,
	gdk-pixbuf/Makefile.am, gdk-pixbuf/tmpl/creating.sgml: Update.

	* gdk-pixbuf/tmpl/inline.sgml: New file.
	
2001-10-07  Matthias Clasen   <matthiasc@poet.de>

	* gdk/tmpl/properties.sgml, gdk/tmpl/events.sgml,
	gdk/tmpl/regions.sgml, gdk/tmpl/general.sgml,
	gdk/tmpl/keys.sgml: Update. 

	* gdk/gdk-overrides.txt, gdk/gdk-sections.txt: Remove nanox traces.

2001-10-06  Matthias Clasen   <matthiasc@poet.de>

	* gtk/gtk-docs.sgml: add gtkimagemenuitem, 
	gtksettings, gtkseparatormenuitem.
	
	* gtk/tmpl/gtktreemodelsimple.sgml: remove unused file.

2001-10-05  Matthias Clasen   <matthiasc@poet.de>

	* gtk/gtk-sections.sgml, gtk/objects_grouped.sgml: remove GtkPacker.

2001-10-05  Sven Neumann  <sven@gimp.org>

	* gdk-pixbuf/tmpl/gdk-pixbuf.sgml: adapt to changes in GDK_PIXBUF_ERROR
	enum.

2001-10-04  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtkimage.sgml: fix GtkImage overview

Wed Oct  3 15:09:18 2001  Jonathan Blandford  <jrb@redhat.com>

	* gtk/gtk.types: remove gtk_cell_editable_get_type

2001-10-02  Havoc Pennington  <hp@redhat.com>

	* gtk/tree_widget.sgml: s/empahsis/emphasis/

	* gtk/tmpl/gtkobject.sgml: update docs

2001-10-01  Matthias Clasen  <matthiasc@poet.de>

	* gtk/gtk-sections.txt: Move standard gobject stuff to
	the 'Standard' sections. (#61483)

Wed Sep 26 15:05:28 2001  Jonathan Blandford  <jrb@redhat.com>

	* gtk/gtk.types: Add missing types.

Mon Sep 24 12:43:45 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Updates for removed/renamed functions.

2001-09-08  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-sections.txt: move some of the accel group functions 
	into a Private subsection

2001-09-08  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtklayout.sgml: docs

	* gdk-pixbuf/gdk-pixbuf.sgml: remove the section on compiling
	gdk-pixbuf since it isn't a standalone package anymore

	* gtk/building.sgml: section on compiling GTK itself

2001-09-08  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-sections.txt: put GtkPacker back in here so it won't be
	in gtk-unused.txt, but don't put it back in gtk-docs.sgml. 

	Tons of other additions from gtk-unused.txt, but mostly skipping
	all the tree stuff for now.

2001-09-08  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-docs.sgml: remove CellRendererTextPixbuf

	* gtk/resources.sgml: add section on mailing lists, bugzilla, etc.

	* gtk/tmpl/gtkaccelgroup.sgml: add long description

	* gtk/gtk-sections.txt: reorder accel group section; probably need
	to delete most of it

	* gtk/tmpl/gtkmain.sgml: Clean it up a little bit

	* gtk/gtk-docs.sgml: rearrange the list of "core/misc" sections so
	that useful things are near the top and stupid junk is near the
	bottom.

	* gtk/tmpl/gtkfeatures.sgml: fix/finish this section

	* gtk/gtk-docs.sgml: create a separate section for
	overview/tutorial material and special notes, and put the
	reference docs for the "misc non-widget" stuff into its own
	section.

	* gtk/compiling.sgml: write this section

	* gtk/gtk-docs.sgml: The intro section weirdly had two paragraphs
	that said the same thing. Delete one of them.

Tue Sep  4 01:33:51 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-docs.sgml: Remove references to a couple
	sections that are no longer there.

Thu Aug 30 19:34:38 2001  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtkdialog.sgml: Fix obvious mistake.

Tue Aug 21 12:42:19 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Remove GtkPacker

Sun Aug 12 10:03:42 2001  Owen Taylor  <otaylor@redhat.com>

	* */Makefile.am: Set GPATH to fix srcdir != builddir  
	problems with GNU make.

Sun Jul 22 17:01:34 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtksignal.sgml: Fix missing not
	(Skip Montanaro, #56361)

Wed Jul  4 22:53:33 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkplug.sgml gtk/tmpl/gtksocket.sgml: Some
	updates and moving docs to the C files.

2001-05-19  Havoc Pennington  <hp@pobox.com>

	* gdk-pixbuf/tmpl/initialization_versions.sgml: docs

	* gdk-pixbuf/tmpl/gdk-pixbuf.sgml: docs

	* gdk-pixbuf/tmpl/gdk-pixbuf-xlib-init.sgml: docs

Sun Apr 15 15:04:12 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkdnd.sgml: Move some of the function docs to the
	C files.

Thu Jun 21 12:31:29 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-sections.txt: Update a bit.

	* Makefile.am: build GTK+ docs. 

Fri Jun  8 12:33:29 2001  Jonathan Blandford  <jrb@redhat.com>

	* gtk/tmpl/gtktable.sgml: fix bug #55921

2001-06-05  Havoc Pennington  <hp@redhat.com>

	* gtk/tmpl/gtkscale.sgml: more docs

Tue Jun  5 10:54:48 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkenums.sgml: Improve docs for GtkStateType.
	(Fixes #55751, among other things.)

Mon Jun  4 15:08:21 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtk-overrides.txt: Remove GtkArgSetFunc, GtkArgGetFunc.

Wed May 30 16:56:07 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkrc.sgml (pattern): Correct typoe when
	describing order of composition. (#53371, Skip Montanaro)
	
2001-05-22  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-sections.txt: add gtk_bin_get_child

Fri May 18 12:28:08 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtksizegroup.sgml gtk/gtk-sections.txt gtk/gtk.types:
	Add documentation about GtkSizeGroup.

2001-05-11  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtkvruler.sgml, 
	gtk/tmpl/gtkhruler.sgml: fix bug #54431

	* gtk/tmpl/gtkdrawingarea.sgml: fix bug #54331

	* gtk/tmpl/gtkenums.sgml: fix bug #54329, and 
	update some other random things

	* gtk/gtk-sections.txt: updates

	* gtk/tmpl/gtkmenuitem.sgml: fix bug #54277

	* gtk/tmpl/gtkradiomenuitem.sgml: fix bug #54323,
	#54324, #54325 

2001-04-26  Havoc Pennington  <hp@redhat.com>

	* gtk/tmpl/gtkimage.sgml: document GtkImageType

	* gtk/gtk-sections.txt: GtkImageType is public

	* gdk/tmpl/images.sgml: add warning about gtk_image_new_bitmap

Wed Apr 25 12:33:03 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtktreeitem.sgml: Add note about GTK_ENABLE_BROKEN.

Tue Apr 17 10:59:13 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (GTKDOC_CFLAGS): Remove -DGTK_DISABLE_COMPAT
	add -DGTK_ENABLE_BROKEN

	* {gtk/gtk,gdk/gdk}-sections.txt: Updated

Fri Apr 13 10:41:10 2001  Owen Taylor  <otaylor@redhat.com>

	* */Makefile.am: Add $(top_builddir) to includes as necessary,
	Run gtkdoc-scangobj from builddir, not srcdir, don't distribute
	foo-doc.{top,bottom}, recomment in code to distribute HTML
	images, with shell fixes.

	* gtk/gtk.hierarchy gdk-pixbuf/gdk-pixbuf.{args,signals,hierarchy}:
	Remove generated files.
	
Wed Apr  4 01:26:04 2001  Tim Janik  <timj@gtk.org>

        * gdk-pixbuf/Makefile.am: disabled "for i in $(HTML_IMAGES) ;"
	dist-hook because $(HTML_IMAGES) is empty.
	* gtk/Makefile.am: same here.
	* gdk/Makefile.am: same here. touched gdk.types since make rules
	require it ;(

2001-03-29  Mike Kestner  <mkestner@ameritech.net>

	* gtk/tmpl/gtkspinbutton.html: killed function docs that are now
	inline.

2001-03-23  Havoc Pennington  <hp@redhat.com>

	* gdk/gdk-sections.txt: updates

	* gtk/gtk-sections.txt: updates

	* gtk/gtk-docs.sgml: mop up TreeModelSimple entity

	* gdk/gdk-docs.sgml: remove input method
	and input context docs

2001-03-22  Havoc Pennington  <hp@redhat.com>

	* gdk/tmpl/keys.sgml: docs on GdkKeymap

2001-03-16  Havoc Pennington  <hp@redhat.com>

	* gtk/gtk-docs.sgml: remove GtkData entity usage

2001-03-14  Havoc Pennington  <hp@redhat.com>

	* gtk/gtk-docs.sgml: remove gtkdata, gtktreemodelsimple

	* gtk/gtk.types: remove gtk_data_get_type

Wed Mar  7 23:58:53 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkwidget.sgml: Document ::hierarchy-changed.

Wed Mar  7 00:27:13 2001  Jonathan Blandford  <jrb@redhat.com>

	* gdk-pixbuf/Makefile.am (scan-build.stamp): add --nogtkinit.

Sat Mar  3 17:20:53 2001  Owen Taylor  <otaylor@redhat.com>

	* */Makefile.am (scan-build.stamp): You can't use
	+ as a metacharacter for basic regular expressions.
	(This was the "all objects disappear")

	* gdk/gdk-sections.txt gdk-pixbuf/gdk-pixbuf-sections.txt

	* */*-unused.sgml: Remove a lot of empty stuff. (No
	point in saving old docs when there aren't any.)

2001-02-20  Havoc Pennington  <hp@pobox.com>

	* gdk/tmpl/rgb.sgml: fix these docs to reflect the current state
	of affairs

2001-02-19  Havoc Pennington  <hp@pobox.com>

	* gdk/Makefile.am (SCAN_OPTIONS): add --deprecated-guards

	* gdk/gdk-sections.txt: update

	* gdk/gdk-docs.sgml: update

2001-02-18  Havoc Pennington  <hp@pobox.com>

	* gdk-pixbuf/Makefile.am (IGNORE_HFILES): add gdk-pixbuf-marshal.h

	* gdk-pixbuf/gdk-pixbuf-sections.txt: fixes

Sun Feb 11 22:16:34 2001  Owen Taylor  <otaylor@redhat.com>

	* */Makefile.am: Use the new snazzy mother-of-all-gtk-doc-makefiles.

	* gdk/tmpl/* gdk-pixbuf/tmpl/*: Recover a bunch of docs that were 
	lost at one point.

2001-02-08  Havoc Pennington  <hp@pobox.com>

	* gtk/windows.sgml: windows (file is blank)

	* gtk/framebuffer.sgml: framebuffer (file is blank)

	* gtk/compiling.sgml: how to use pkg-config, etc. (file is 
	blank for now)

2001-02-03  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtkfixed.sgml: Add the intro docs section

2001-02-01  Havoc Pennington  <hp@redhat.com>

	* gtk/gtk-sections.txt: updated

	* gtk/gtk-docs.sgml: Move the below from "Deprecated" section to
	"special-purpose" section; move GtkItem out of deprecated section,
	since GtkMenuItem uses it, though probably the GtkItem signals
	should just migrate down to GtkMenuItem someday it won't happen
	for 2.0

	* gtk/tmpl/gtkgamma.sgml: add note about eventual removal

	* gtk/tmpl/gtkcurve.sgml: add note about eventual removal

	* gtk/tmpl/gtkruler.sgml: add note about eventual removal

	* gtk/tmpl/gtkhruler.sgml: add note about eventual removal

	* gtk/tmpl/gtkvruler.sgml: add note about eventual removal

	* gtk/tmpl/gtkinputdialog.sgml: add note about eventual removal

2001-01-30  Havoc Pennington  <hp@pobox.com>

        Also committed a bunch of automatic changes made by gtk-doc, 
	after reviewing for correctness.
	
	* gtk/tmpl/gtktext.sgml: add warning about deprecation and note
	about what to use instead

	* gtk/tmpl/gtktree.sgml: ditto

	* gtk/Makefile.am (scan): pass --deprecated-guards option to
	gtk-doc

	* gtk/gtk-docs.sgml: move GtkText to the deprecated section 
	instead of the GtkTextView section. Oops.

Tue Jan 30 16:01:54 2001  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkclist.sgml: Added note explaining how
	the @button parameter is off by 1. (#6739)

Mon Jan  8 15:21:15 2001  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am (SUBDIRS): Restore build.

	* gdk/gdk-sections.txt gdk/gdk-docs.sgml 
	  gdk-pixbuf/gdk-pixbuf-sections.txt 
	  gtk/gtk-sections.txt gtk/gtk-docs.sgml: : Update.

	* */tmpl/*: Changes from update.

Wed Oct 25 15:19:40 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtknotebook.sgml: Moved function docs into .c
	file, fairly extensive rewriting.

Thu Nov 30 00:53:45 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkfilesel.sgml: Fix to say that file_selection_complete()
	filters both files and directories.

	* gtk/tmpl/gtktogglebutton.sgml: Fix description
	of gtk_toggle_button_toggled().

Fri Nov 17 17:31:30 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am (content_files): Add a couple
	of files.

Mon Nov 13 16:58:43 2000  Owen Taylor  <otaylor@redhat.com>

	* {gtk,gdk,gdk-pixbuf}/Makefile.am: cd to srcdir before
	calling gtkdoc-fixref, distribute index.sgml.

	* gtk/gtk-docs.sgml gtk/Makefile.am gtk/gtk-sections.txt
	gtk/gtk.types: Update

2000-11-05  Havoc Pennington  <hp@pobox.com>

	* gtk/tmpl/gtktexttag.sgml: documented some of the object args

	* gtk/text_widget.sgml: fixups

2000-11-04  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-sections.txt: Added a bunch of stuff from unused

2000-11-01  Havoc Pennington  <hp@redhat.com>

	* gtk/tmpl/gtkmessagedialog.sgml: Check in these docs, I seem to
	have written them a while ago then forgotten about them.

2000-11-01  Havoc Pennington  <hp@pobox.com>

	* gtk/gtk-sections.txt: Add new label functions

Sun Oct 29 02:59:50 2000  Owen Taylor  <otaylor@redhat.com>

	* **: Updates to new gtk-doc, gsignal, causing quite
	a bit of diffs but little real changes.

2000-10-24  Havoc Pennington  <hp@redhat.com>

	* gtk/text_widget.sgml: add note about UTF-8

2000-10-23  Havoc Pennington  <hp@redhat.com>

	* gtk/gtk-sections.txt: remove GtkTextBTree

	* gtk/text_widget.sgml: Overview of the text widget

	* gtk/gtk-docs.sgml: Change to using categories for the toplevel 
	organization of the reference entries. We'll add an alphabetical 
	index eventually. The category way is a lot easier for people who
	aren't familiar with the widgets. Removed objects_grouped.sgml 
	from gtk-docs.sgml for now, it doesn't seem useful anymore.

	* gtk/objects_grouped.sgml: Add a section for deprecated
	objects; add a section for the TextView object collection

Wed Oct 18 11:01:12 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/Makefile.am gdk-pixbuf/Makefile.am: Fix typo

2000-10-20  Havoc Pennington  <hp@redhat.com>

	* gtk/gtk-sections.txt: Add dialog docs

2000-10-18  Havoc Pennington  <hp@redhat.com>

	* gtk/gtk-sections.txt: Some updates

	* gdk/gdk-sections.txt: remove GdkPixbufAlphaMode

	* gdk-pixbuf/gdk-pixbuf-sections.txt: Add new API, remove 
	GdkPixbufClass/GdkAnimationClass since those are private

	* gdk-pixbuf/Makefile.am (IGNORE_HFILES): ignore more headers

2000-10-06  Havoc Pennington  <hp@redhat.com>

        * gdk-pixbuf/*.sgml, gdk-pixbuf/tmpl/*.sgml: copy in from 1.0
	
	* gdk-pixbuf/gdk-pixbuf-sections.txt: add Xlib sections from 1.0
	tree

	* gdk-pixbuf/Makefile.am: add stuff from 1.0 tree

	* gdk-pixbuf/compiling.sgml: copy from 1.0 tree

2000-09-26  Havoc Pennington  <hp@redhat.com>

	* gtk/tmpl/gtkrc.sgml: Document stock icon stuff

Thu Sep  7 14:15:03 2000  Owen Taylor  <otaylor@redhat.com>

        * gdk/* gtk/*: Move gtk-reference files into GTK+ tree proper.

	* Update sections.txt files to correspond to current code,
	tweak .sgml files and Makefiles to correspond.

	* gtk/tmpl/gtkradiomenuitem.sgml (this): Remove extra <para>

2000-06-14  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtktooltips.sgml: added a note about no-window widgets.

Mon Jun  5 11:17:25 2000  Owen Taylor  <otaylor@redhat.com>

	* gdk/tmpl/general.sgml: Fix gdk_pointer_grab description
	as pointed out by Dave Morse.

Sun May 28 12:16:01 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkaspectframe.sgml: Fix typo
	pointed out by Gregory McLean.

2000-05-28  Damon Chaplin  <damon@helixcode.com>

	* gdk/tmpl/event_structs.sgml: typo.

2000-04-22  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtkenums.sgml: update from Lee Mallabone
	<lee0@callnetuk.com>

2000-04-09  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtkmain.sgml: update from Torsten Landschoff
	<t.landschoff@gmx.net>

	* gdk/tmpl/input_methods.sgml: 
	* gdk/tmpl/general.sgml: fixed typos.

Tue Mar 14 14:17:46 2000  Raph Levien  <raph@acm.org>

	* gdk/tmpl/rgb.sgml: Better explanation of gdk_rgb_set_min_colors.
	Thanks to Stric for spotting it.

2000-03-07  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtkclist.sgml: fix to gtk_clist_set_reorderable(). It
	reorders rows, not columns. From Guy Harris <gharris@flashcom.net>.

2000-02-29  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtkmenuitem.sgml: minor fix from Nicolas GEORGE
	<nicolas.george@ens.fr>.

2000-02-28  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtkradiomenuitem.sgml: 
	* gtk/tmpl/gtkmenuitem.sgml: 
	* gtk/tmpl/gtknotebook.sgml: new menu item sections and minor update to
	notebook section from Nicolas GEORGE <nicolas.george@ens.fr>.

2000-02-18  Damon Chaplin  <damon@helixcode.com>

	* gtk/tmpl/gtktooltips.sgml: patch from
	David Benson <daveb@idealab.com> to note that gtk_tooltips_set_colors()
	does not work.

2000-02-09  Damon Chaplin  <damon@helixcode.com>

	* gdk/tmpl/input_methods.sgml: minor fix.

2000-02-03  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gdk/gdk-sections.txt: rearranged a bit.

	* gdk/tmpl/event_structs.sgml: updated.

	* gtk/gtk-sections.txt: added INCLUDE tag for Private Info section.

	* gdk/tmpl/color_contexts.sgml: added note saying it is deprecated.
	* gdk/tmpl/dnd.sgml: added note saying read the GTK+ DnD docs.

2000-02-02  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gdk/tmpl/*.sgml: ran make templates.

	* gdk/gdk-docs.sgml: rearranged sections.

	* gdk/tmpl/events.sgml: documented.

	* gdk/tmpl/general.sgml: documented.

	* gdk/tmpl/rgb.sgml: fixed a few '@' -> '#'.

	* gdk/gdk-sections.txt: rearranged a few bits, including moving
	GdkWChar and related functions from the input method section to the
	font section, and GdkCapStyle etc. from Drawing Primitives to GCs.

	* gdk/tmpl/images.sgml: documented.

	* gdk/tmpl/drawing.sgml: updated.

	* gdk/tmpl/regions.sgml: updated.

	* gdk/tmpl/input_contexts.sgml: documented.

	* gdk/tmpl/input_methods.sgml: documented.

	* gdk/tmpl/selections.sgml: changed xref to a link since Jade says
	a xref to a RefEntry is not supported.

2000-01-19  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/gtkscrollbar.sgml: Started.

2000-01-08  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/gtkclist.sgml: update from Paul Schifferer
	<isengard@geocities.com>

Wed Jan  5 10:23:41 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkprogress.sgml: Missing </listitem>, remove extra <para>
	* gtk/tmpl/gtkobject.sgml: dos2unix
	* gtk/tmpl/gtkcurve.sgml: missing </para>
	* gtk/tmpl/gtkarg.sgml: dos2unix, missing </para>
	* gtk/tmpl/gtkcolorsel.sgml: Missing </listitem>'s
	* gtk/tmpl/gtksignal.sgml (signal): dos2unix, missing </para>'s
	* gtk/tmpl/gtkmarshal.sgml: Missing </refsect2>

1999-11-16  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/gtkmenubar.sgml: fixed minor error - using <em>.

	* gtk/tmpl/gtknotebook.sgml: 
	* gtk/tmpl/gtklist.sgml: new sections from
	Nicolas George <george@clipper.ens.fr>, with help from
	"Bob Springett"	<bobspringett@claranet.fr>.

	* gtk/tmpl/gtkobject.sgml: 
	* gtk/tmpl/gtkarg.sgml: new sections from
	David Benson <daveb@idealab.com>.

	* gtk/tmpl/gtkvbox.sgml: 
	* gtk/tmpl/gtkhbox.sgml: fixed line endings.

	* gtk/tmpl/gtkvbbox.sgml: update from Lee Mallabone
	<lee0@callnetuk.com>

	* gdk/tmpl/drawing.sgml: fixed error in gdk_draw_arc() @angle2 param
	- it is relative to @angle1 rather than from the 3 o'clock position.

	* gtk/tmpl/gtkfontseldlg.sgml: changed enums to use @ fields.

	* gtk/tmpl/gtkcolorsel.sgml: 
	* gtk/tmpl/gtkcolorseldlg.sgml: 
	* gtk/tmpl/gtkprogress.sgml: 
	* gtk/tmpl/gtkprogressbar.sgml: new sections from Tom Martone
	<tom@martoneconsulting.com>

	* gtk/tmpl/gtkclist.sgml: partially written documentation from
	Paul Schifferer <isengard@geocities.com> who won't be able to finish it

1999-09-22  Martin Norbäck  <d95mback@dtek.chalmers.se>
	
	* gtk/tmpl/gtkclist.sgml: Added information about the sorting functions

Tue Oct 26 16:50:15 1999  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtkrc.sgml: Added information about widget
	paths and pattern matching.

1999-09-22  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/*.sgml: ran make templates, to fix problems with structs.

	* gtk/gtk-sections.txt: rearranged GtkCombo section.

	* gtk/tmpl/gtkvseparator.sgml: 
	* gtk/tmpl/gtkhseparator.sgml: 
	* gtk/tmpl/gtkgc.sgml: 
	* gtk/tmpl/gtkfeatures.sgml: 
	* gtk/tmpl/gtktipsquery.sgml: 
	* gtk/tmpl/gtkitem.sgml: 
	* gtk/tmpl/gtkinvisible.sgml: 
	* gtk/tmpl/gtkgamma.sgml: 
	* gtk/tmpl/gtkdata.sgml: 
	* gtk/tmpl/gtkcurve.sgml: 
	* gtk/tmpl/gtkcombo.sgml: 
	* gtk/tmpl/gtkaccellabel.sgml: documented.

1999-09-20  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/gtk-docs.sgml: added role="no-toc" to the GTK+ Widgets & Objects
	chapter since we've created our own special contents page.

1999-09-19  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/gtkmarshal.sgml: 
	* gtk/tmpl/gtksignal.sgml: new sections from 
         David Benson <daveb@idealab.com>.

	* gtk/gtk-sections.txt: rearranged signal sections, and made most
	marshallers private. Moved GtkSignalRunType to signals section.

	* gtk/tmpl/gtkradiobutton.sgml: new section from Lee Mallabone.

1999-09-17  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/gtk-docs.sgml: removed menu factory and debugging sections.

	* gtk/gtk-sections.txt: made menu factory stuff private since it is
	deprecated. Also made debugging stuff private since it is only useful
	within GTK+.

1999-09-14  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/gtkfilesel.sgml: fixed mismatched parentheses.

1999-09-02  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gdk/tmpl/event_structs.sgml: 
	* gdk/tmpl/drawing.sgml: minor fixes.

1999-09-20  David C. Mason  <dcm@redhat.com>

	* gtk/tmpl/gtkimage.sgml: first pass at gtkimage... not complete

1999-08-28  Damon Chaplin  <damon@karuna.freeserve.co.uk>

	* gtk/tmpl/gtkbbox.sgml: new section from Lee Mallabone.

	* gdk/gdk-sections.txt: rearranged rgb, regions, and drawing sections.

	* gdk/tmpl/rgb.sgml: new section from Raph Levien, with a few changes
	by me, including a little example app.

	* gdk/tmpl/regions.sgml: 
	* gdk/tmpl/event_structs.sgml: 
	* gdk/tmpl/drawing.sgml: my first attempt.
	* gdk/tmpl/cursors.sgml: tiny changes.

Tue Aug 17 09:14:01 1999  Owen Taylor  <otaylor@redhat.com>

	* gtk/tmpl/gtktypeutils.sgml: Fix corrupted end tag.

	* gtk/tmpl/gtkselection.sgml gtk/tmpl/gtkrc.sgml
	  gtk/tmpl/gtkdnd.sgml gtk/tmpl/gtkarrow.sgml
	  gtk/tmpl/gtkpaned.sgml gtk/tmpl/gtkmisc.sgml
	  gtk/tmpl/gtkhandlebox.sgml gtk/tmpl/gtkctree.sgml:
	Added missing close tags.

Thu Aug 19 14:43:08 1999  Owen Taylor  <otaylor@redhat.com>

	* gdk/tmpl/gcs.sgml gdk/gdk-sections.txt: Added section. 
	  (Written a while ago but fell through the cracks)

	* gtk/gtk-docs.sgml: Add a &hash; entity here as a
	  temporary hack. (There is no standard entity
	  for '#', and no way of escaping '#' in gtk-doc)

	* gtk/tmpl/gtkrc.sgml: Use the above to fix up #rrggbb
	  string literals.

	* gtk/tmpl/gtkdrawingarea.sgml: Fixed a couple
	  of errors in the example. (pointed out by
	  Nick Lamb)

Mon Aug 16 6:60:53 1999  Owen Taylor  <otaylor@redhat.com>

	* gdk/tmpl/properties.sgml
	  gdk/tmpl/selections.sgml
	  gdk/tmpl/input_devices.sgml: Documented

	* gdk/gdk-sections.txt: Moved around types for
	  input devices properties and selections, marked
	  a few functions as private.
